/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ApproverDTOAsResponse } from "../definitions/ApproverDTOAsResponse";
import { DateDTOAsResponse } from "../definitions/DateDTOAsResponse";
import { SelfLinkDTOAsResponse } from "../definitions/SelfLinkDTOAsResponse";
export interface ApprovalDTOAsResponse {
    /**
     * ID of the approval.
     */
    id?: string;
    /**
     * Description of the approval being sought or provided.
     */
    name?: string;
    /**
     * Outcome of the approval, based on the approvals provided by all approvers.
     */
    finalDecision?: "approved" | "declined" | "pending";
    /**
     * Indicates whether the user making the request is one of the approvers and can respond to the approval (true) or not (false).
     */
    canAnswerApproval?: boolean;
    /**
     * Detailed list of the users who must provide a response to the approval.
     */
    approvers?: Array<ApproverDTOAsResponse>;
    /**
     * Date the approval was created.
     */
    createdDate?: DateDTOAsResponse;
    /**
     * Date the approval was completed.
     */
    completedDate?: DateDTOAsResponse;
    /**
     * The REST API URL of the approval.
     */
    _links?: SelfLinkDTOAsResponse;
}
//# sourceMappingURL=ApprovalDTOAsResponse.d.ts.map