/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { RenderedValueDTOAsResponse } from "../definitions/RenderedValueDTOAsResponse";
import { UserDTOAsResponse } from "../definitions/UserDTOAsResponse";
import { DateDTOAsResponse } from "../definitions/DateDTOAsResponse";
import { PagedDTOAttachmentDTOAsResponse } from "../definitions/PagedDTOAttachmentDTOAsResponse";
import { SelfLinkDTOAsResponse } from "../definitions/SelfLinkDTOAsResponse";
export interface CommentDTOAsResponse {
    /**
     * ID of the comment.
     */
    id?: string;
    /**
     * Content of the comment.
     */
    body?: string;
    /**
     * The rendered body of the comment.
     */
    renderedBody?: RenderedValueDTOAsResponse;
    /**
     * Details of the customer who authored the comment.
     */
    author?: UserDTOAsResponse;
    /**
     * Date the comment was created.
     */
    created?: DateDTOAsResponse;
    /**
     * List of the attachments included in the comment.
     */
    attachments?: PagedDTOAttachmentDTOAsResponse;
    /**
     * List of items that can be expanded in the response by specifying the expand query parameter.
     */
    _expands?: Array<string>;
    /**
     * Indicates whether the comment is public (true) or private/internal (false).
     */
    public?: boolean;
    /**
     * REST API URL link to the comment.
     */
    _links?: SelfLinkDTOAsResponse;
}
//# sourceMappingURL=CommentDTOAsResponse.d.ts.map