/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { RequestTypeDTOAsResponse } from "../definitions/RequestTypeDTOAsResponse";
import { ServiceDeskDTOAsResponse } from "../definitions/ServiceDeskDTOAsResponse";
import { DateDTOAsResponse } from "../definitions/DateDTOAsResponse";
import { UserDTOAsResponse } from "../definitions/UserDTOAsResponse";
import { CustomerRequestFieldValueDTOAsResponse } from "../definitions/CustomerRequestFieldValueDTOAsResponse";
import { CustomerRequestStatusDTOAsResponse } from "../definitions/CustomerRequestStatusDTOAsResponse";
import { PagedDTOCustomerRequestStatusDTOAsResponse } from "../definitions/PagedDTOCustomerRequestStatusDTOAsResponse";
import { PagedDTOUserDTOAsResponse } from "../definitions/PagedDTOUserDTOAsResponse";
import { PagedDTOSlaInformationDTOAsResponse } from "../definitions/PagedDTOSlaInformationDTOAsResponse";
import { PagedDTOAttachmentDTOAsResponse } from "../definitions/PagedDTOAttachmentDTOAsResponse";
import { PagedDTOCommentDTOAsResponse } from "../definitions/PagedDTOCommentDTOAsResponse";
import { CustomerRequestActionsDTOAsResponse } from "../definitions/CustomerRequestActionsDTOAsResponse";
import { CustomerRequestLinkDTOAsResponse } from "../definitions/CustomerRequestLinkDTOAsResponse";
export interface CustomerRequestDTOAsResponse {
    /**
     * ID of the request, as the peer issue ID.
     */
    issueId?: string;
    /**
     * Key of the request, as the peer issue key.
     */
    issueKey?: string;
    /**
     * ID of the request type for the request.
     */
    requestTypeId?: string;
    /**
     * Expandable details of the request type.
     */
    requestType?: RequestTypeDTOAsResponse;
    /**
     * ID of the service desk the request belongs to.
     */
    serviceDeskId?: string;
    /**
     * Expandable details of the service desk.
     */
    serviceDesk?: ServiceDeskDTOAsResponse;
    /**
     * Date on which the request was created.
     */
    createdDate?: DateDTOAsResponse;
    /**
     * Details of the customer reporting the request.
     */
    reporter?: UserDTOAsResponse;
    /**
     * JSON map of Jira field IDs and their values representing the content of the request.
     */
    requestFieldValues?: Array<CustomerRequestFieldValueDTOAsResponse>;
    /**
     * Status of the request.
     */
    currentStatus?: CustomerRequestStatusDTOAsResponse;
    /**
     * Expandable details of the request's status history.
     */
    status?: PagedDTOCustomerRequestStatusDTOAsResponse;
    /**
     * Expandable details of the customers participating in the request.
     */
    participants?: PagedDTOUserDTOAsResponse;
    /**
     * Expandable details of the SLAs relating to the request.
     */
    sla?: PagedDTOSlaInformationDTOAsResponse;
    /**
     * List of attachments included with the request.
     */
    attachments?: PagedDTOAttachmentDTOAsResponse;
    /**
     * List of comments included with the request.
     */
    comments?: PagedDTOCommentDTOAsResponse;
    /**
     * List of actions that the user can take on the request.
     */
    actions?: CustomerRequestActionsDTOAsResponse;
    /**
     * List of items that can be expanded in the response by specifying the expand query parameter.
     */
    _expands?: Array<string>;
    /**
     * List of links associated with the request.
     */
    _links?: CustomerRequestLinkDTOAsResponse;
}
//# sourceMappingURL=CustomerRequestDTOAsResponse.d.ts.map