/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { JsonTypeBeanAsResponse } from "../definitions/JsonTypeBeanAsResponse";
import { IssueTransitionAsResponse } from "../definitions/IssueTransitionAsResponse";
import { OperationsAsResponse } from "../definitions/OperationsAsResponse";
import { IssueUpdateMetadataAsResponse } from "../definitions/IssueUpdateMetadataAsResponse";
import { PageOfChangelogsAsResponse } from "../definitions/PageOfChangelogsAsResponse";
import { IncludedFieldsAsResponse } from "../definitions/IncludedFieldsAsResponse";
export interface IssueBeanAsResponse {
    /**
     * Expand options that include additional issue details in the response.
     */
    expand?: string;
    /**
     * The ID of the issue.
     */
    id?: string;
    /**
     * The URL of the issue details.
     */
    self?: string;
    /**
     * The key of the issue.
     */
    key?: string;
    /**
     * The rendered value of each field present on the issue.
     */
    renderedFields?: {
        [x: string]: any;
    };
    /**
     * Details of the issue properties identified in the request.
     */
    properties?: {
        [x: string]: any;
    };
    /**
     * The ID and name of each field present on the issue.
     */
    names?: {
        [x: string]: string;
    };
    /**
     * The schema describing each field present on the issue.
     */
    schema?: {
        [x: string]: JsonTypeBeanAsResponse;
    };
    /**
     * The transitions that can be performed on the issue.
     */
    transitions?: Array<IssueTransitionAsResponse>;
    /**
     * The operations that can be performed on the issue.
     */
    operations?: OperationsAsResponse;
    /**
     * The metadata for the fields on the issue that can be amended.
     */
    editmeta?: IssueUpdateMetadataAsResponse;
    /**
     * Details of changelogs associated with the issue.
     */
    changelog?: PageOfChangelogsAsResponse;
    /**
     * The versions of each field on the issue.
     */
    versionedRepresentations?: {
        [x: string]: any;
    };
    fieldsToInclude?: IncludedFieldsAsResponse;
    fields?: {
        [x: string]: any;
    };
}
//# sourceMappingURL=IssueBeanAsResponse.d.ts.map