/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { RequestTypeIconDTOAsResponse } from "../definitions/RequestTypeIconDTOAsResponse";
import { CustomerRequestCreateMetaDTOAsResponse } from "../definitions/CustomerRequestCreateMetaDTOAsResponse";
import { SelfLinkDTOAsResponse } from "../definitions/SelfLinkDTOAsResponse";
export interface RequestTypeDTOAsResponse {
    /**
     * ID for the request type.
     */
    id?: string;
    /**
     * Short name for the request type.
     */
    name?: string;
    /**
     * Description of the request type.
     */
    description?: string;
    /**
     * Help text for the request type.
     */
    helpText?: string;
    /**
     * ID of the issue type the request type is based upon.
     */
    issueTypeId?: string;
    /**
     * ID of the service desk the request type belongs to.
     */
    serviceDeskId?: string;
    /**
     * ID of the customer portal associated with the service desk project.
     */
    portalId?: string;
    /**
     * List of the request type groups the request type belongs to.
     */
    groupIds?: Array<string>;
    /**
     * Links to the request type's icons.
     */
    icon?: RequestTypeIconDTOAsResponse;
    /**
     * Fields and additional metadata for creating a request that uses the request type
     */
    fields?: CustomerRequestCreateMetaDTOAsResponse;
    /**
     * The request type's practice
     */
    practice?: string;
    /**
     * List of items that can be expanded in the response by specifying the expand query parameter.
     */
    _expands?: Array<string>;
    /**
     * REST API URL for the request type.
     */
    _links?: SelfLinkDTOAsResponse;
}
//# sourceMappingURL=RequestTypeDTOAsResponse.d.ts.map