/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { RequestTypeFieldValueDTOAsResponse } from "../definitions/RequestTypeFieldValueDTOAsResponse";
import { JsonTypeBeanAsResponse } from "../definitions/JsonTypeBeanAsResponse";
export interface RequestTypeFieldDTOAsResponse {
    /**
     * ID of the field.
     */
    fieldId?: string;
    /**
     * Name of the field.
     */
    name?: string;
    /**
     * Description of the field.
     */
    description?: string;
    /**
     * Indicates if the field is required (true) or not (false).
     */
    required?: boolean;
    /**
     * List of default values for the field.
     */
    defaultValues?: Array<RequestTypeFieldValueDTOAsResponse>;
    /**
     * List of valid values for the field.
     */
    validValues?: Array<RequestTypeFieldValueDTOAsResponse>;
    /**
     * List of preset values for the field.
     */
    presetValues?: Array<string>;
    /**
     * Jira specific implementation details for the field in the UI.
     */
    jiraSchema?: JsonTypeBeanAsResponse;
    visible?: boolean;
}
//# sourceMappingURL=RequestTypeFieldDTOAsResponse.d.ts.map