/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { DateDTOAsResponse } from "../definitions/DateDTOAsResponse";
import { DurationDTOAsResponse } from "../definitions/DurationDTOAsResponse";
export interface SlaInformationCompletedCycleDTOAsResponse {
    /**
     * Time and date at which the SLA cycle started.
     */
    startTime?: DateDTOAsResponse;
    /**
     * Time and date at which the SLA cycle completed.
     */
    stopTime?: DateDTOAsResponse;
    /**
     * Time and date at which the SLA cycle breached in case of completed breached cycle or would have breached in case of non-breached completed cycle.
     */
    breachTime?: DateDTOAsResponse;
    /**
     * Indicates if the SLA (duration) was exceeded (true) or not (false).
     */
    breached?: boolean;
    /**
     * Duration within which the service should have been completed.
     */
    goalDuration?: DurationDTOAsResponse;
    /**
     * Duration in which the service was completed.
     */
    elapsedTime?: DurationDTOAsResponse;
    /**
     * Duration remaining after the service was completed.
     */
    remainingTime?: DurationDTOAsResponse;
}
//# sourceMappingURL=SlaInformationCompletedCycleDTOAsResponse.d.ts.map