/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { SlaInformationCompletedCycleDTOAsResponse } from "../definitions/SlaInformationCompletedCycleDTOAsResponse";
import { SlaInformationOngoingCycleDTOAsResponse } from "../definitions/SlaInformationOngoingCycleDTOAsResponse";
import { SelfLinkDTOAsResponse } from "../definitions/SelfLinkDTOAsResponse";
export interface SlaInformationDTOAsResponse {
    /**
     * ID of the Service Level Agreement (SLA).
     */
    id?: string;
    /**
     * Description of the SLA.
     */
    name?: string;
    /**
     * List of completed cycles for the SLA.
     */
    completedCycles?: Array<SlaInformationCompletedCycleDTOAsResponse>;
    /**
     * Details of the active cycle for the SLA.
     */
    ongoingCycle?: SlaInformationOngoingCycleDTOAsResponse;
    /**
     * Format in which SLA is to be displayed in the UI
     */
    slaDisplayFormat?: string;
    /**
     * REST API URL for the SLA.
     */
    _links?: SelfLinkDTOAsResponse;
}
//# sourceMappingURL=SlaInformationDTOAsResponse.d.ts.map