/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { DateDTOAsResponse } from "../definitions/DateDTOAsResponse";
import { DurationDTOAsResponse } from "../definitions/DurationDTOAsResponse";
export interface SlaInformationOngoingCycleDTOAsResponse {
    /**
     * Time and date at which the SLA cycle started.
     */
    startTime?: DateDTOAsResponse;
    /**
     * Time and date at which the SLA cycle would have breached its limit.
     */
    breachTime?: DateDTOAsResponse;
    /**
     * Indicates whether the SLA has been breached (true) or not (false).
     */
    breached?: boolean;
    /**
     * Indicates whether the SLA is paused (true) or not (false).
     */
    paused?: boolean;
    /**
     * Indicates whether the SLA it timed during calendared working hours only (true) or not (false).
     */
    withinCalendarHours?: boolean;
    /**
     * Duration within which the service should be completed.
     */
    goalDuration?: DurationDTOAsResponse;
    /**
     * Duration of the service.
     */
    elapsedTime?: DurationDTOAsResponse;
    /**
     * Duration remaining in which to complete the service.
     */
    remainingTime?: DurationDTOAsResponse;
}
//# sourceMappingURL=SlaInformationOngoingCycleDTOAsResponse.d.ts.map