/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { DateDTOAsResponse } from "../definitions/DateDTOAsResponse";
import { SelfLinkDTOAsResponse } from "../definitions/SelfLinkDTOAsResponse";
export interface SoftwareInfoDTOAsResponse {
    /**
     * Jira Service Management version.
     */
    version?: string;
    /**
     * Jira Platform version upon which Service Desk is based.
     */
    platformVersion?: string;
    /**
     * Date of the current build.
     */
    buildDate?: DateDTOAsResponse;
    /**
     * Reference of the change set included in the build.
     */
    buildChangeSet?: string;
    /**
     * Indicates whether the instance is licensed (true) or not (false).
     */
    isLicensedForUse?: boolean;
    /**
     * REST API URL of the instance.
     */
    _links?: SelfLinkDTOAsResponse;
}
//# sourceMappingURL=SoftwareInfoDTOAsResponse.d.ts.map