/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { UserLinkDTOAsResponse } from "../definitions/UserLinkDTOAsResponse";
export interface UserDTOAsResponse {
    /**
     * The accountId of the user, which uniquely identifies the user across all Atlassian products. For example, *5b10ac8d82e05b22cc7d4ef5*.
     */
    accountId?: string;
    /**
     * This property is no longer available and will be removed from the documentation soon. See the [deprecation notice](https://developer.atlassian.com/cloud/jira/platform/deprecation-notice-user-privacy-api-migration-guide/) for details.
     */
    name?: string;
    /**
     * This property is no longer available and will be removed from the documentation soon. See the [deprecation notice](https://developer.atlassian.com/cloud/jira/platform/deprecation-notice-user-privacy-api-migration-guide/) for details.
     */
    key?: string;
    /**
     * Customer's email address. Depending on the customer’s privacy settings, this may be returned as null.
     */
    emailAddress?: string;
    /**
     * Customer's name for display in a UI. Depending on the customer’s privacy settings, this may return an alternative value.
     */
    displayName?: string;
    /**
     * Indicates if the customer is active (true) or inactive (false)
     */
    active?: boolean;
    /**
     * Customer time zone. Depending on the customer’s privacy settings, this may be returned as null.
     */
    timeZone?: string;
    /**
     * URLs for the customer record and related items.
     */
    _links?: UserLinkDTOAsResponse;
}
//# sourceMappingURL=UserDTOAsResponse.d.ts.map