/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { AvatarUrlsBeanAsResponse } from "../definitions/AvatarUrlsBeanAsResponse";
export interface UserDetailsAsResponse {
    /**
     * The URL of the user.
     */
    self?: string;
    /**
     * This property is no longer available and will be removed from the documentation soon. See the [deprecation notice](https://developer.atlassian.com/cloud/jira/platform/deprecation-notice-user-privacy-api-migration-guide/) for details.
     */
    name?: string;
    /**
     * This property is no longer available and will be removed from the documentation soon. See the [deprecation notice](https://developer.atlassian.com/cloud/jira/platform/deprecation-notice-user-privacy-api-migration-guide/) for details.
     */
    key?: string;
    /**
     * The account ID of the user, which uniquely identifies the user across all Atlassian products. For example, *5b10ac8d82e05b22cc7d4ef5*.
     */
    accountId?: string;
    /**
     * The email address of the user. Depending on the user’s privacy settings, this may be returned as null.
     */
    emailAddress?: string;
    /**
     * The avatars of the user.
     */
    avatarUrls?: AvatarUrlsBeanAsResponse;
    /**
     * The display name of the user. Depending on the user’s privacy settings, this may return an alternative value.
     */
    displayName?: string;
    /**
     * Whether the user is active.
     */
    active?: boolean;
    /**
     * The time zone specified in the user's profile. Depending on the user’s privacy settings, this may be returned as null.
     */
    timeZone?: string;
    /**
     * The type of account represented by this user. This will be one of 'atlassian' (normal users), 'app' (application user) or 'customer' (Jira Service Desk customer user)
     */
    accountType?: string;
}
//# sourceMappingURL=UserDetailsAsResponse.d.ts.map