/*!
* Copyright Adaptavist 2022 (c) All rights reserved
*/
import { BaseErrorStrategyHandlers, BaseErrorStrategyOption, CustomErrorHandler, ErrorStrategyBuilderConstructor, HttpError } from "@managed-api/commons-core";
import { ErrorStrategyBuilder } from "./builders/errorStrategy";
export interface CommonError {
    errorMessage: string;
    i18nErrorMessage: {
        i18nKey: string;
        parameters: any[];
    };
}
export declare type AdditionalErrorTypes = HttpError<CommonError>;
export interface ErrorStrategyHandlers extends BaseErrorStrategyHandlers<CommonError, AdditionalErrorTypes> {
}
export interface ErrorStrategyOption extends BaseErrorStrategyOption<CommonError, AdditionalErrorTypes, ErrorStrategyHandlers, ErrorStrategyBuilder> {
}
export declare const customErrorHandlers: CustomErrorHandler[];
export declare const errorStrategyBuilderConstructor: ErrorStrategyBuilderConstructor<CommonError, AdditionalErrorTypes, ErrorStrategyHandlers, ErrorStrategyBuilder>;
//# sourceMappingURL=errorStrategy.d.ts.map