/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { CreateCustomerRequest, CreateCustomerResponseOK } from "./types/customer";
import { GetInfoRequest, GetInfoResponseOK } from "./types/info";
import { GetAssetsWorkspacesRequest, GetAssetsWorkspacesResponseOK } from "./types/assets";
import { GetKnowledgebaseArticlesRequest, GetKnowledgebaseArticlesResponseOK } from "./types/knowledgebase";
import { GetOrganizationPropertyKeysRequest, GetOrganizationPropertyKeysResponseOK } from "./types/organization/property";
import { GetOrganizationPropertyRequest, GetOrganizationPropertyResponseOK } from "./types/organization/property";
import { SetOrganizationPropertyRequest, SetOrganizationPropertyResponseOK } from "./types/organization/property";
import { DeleteOrganizationPropertyRequest, DeleteOrganizationPropertyResponseOK } from "./types/organization/property";
import { GetOrganizationUsersRequest, GetOrganizationUsersResponseOK } from "./types/organization/user";
import { AddOrganizationUserRequest, AddOrganizationUserResponseOK } from "./types/organization/user";
import { RemoveOrganizationUserRequest, RemoveOrganizationUserResponseOK } from "./types/organization/user";
import { GetOrganizationsRequest, GetOrganizationsResponseOK } from "./types/organization";
import { CreateOrganizationRequest, CreateOrganizationResponseOK } from "./types/organization";
import { GetOrganizationRequest, GetOrganizationResponseOK } from "./types/organization";
import { DeleteOrganizationRequest, DeleteOrganizationResponseOK } from "./types/organization";
import { GetServicedeskOrganizationsRequest, GetServicedeskOrganizationsResponseOK } from "./types/servicedesk/organization";
import { AddServicedeskOrganizationRequest, AddServicedeskOrganizationResponseOK } from "./types/servicedesk/organization";
import { RemoveServicedeskOrganizationRequest, RemoveServicedeskOrganizationResponseOK } from "./types/servicedesk/organization";
import { GetServicedeskCustomersRequest, GetServicedeskCustomersResponseOK } from "./types/servicedesk/customer";
import { AddServicedeskCustomersRequest, AddServicedeskCustomersResponseOK } from "./types/servicedesk/customer";
import { RemoveServicedeskCustomersRequest, RemoveServicedeskCustomersResponseOK } from "./types/servicedesk/customer";
import { GetServicedeskKnowledgebaseArticlesRequest, GetServicedeskKnowledgebaseArticlesResponseOK } from "./types/servicedesk/knowledgebase";
import { GetServicedeskQueuesRequest, GetServicedeskQueuesResponseOK } from "./types/servicedesk/queue";
import { GetServicedeskQueueRequest, GetServicedeskQueueResponseOK } from "./types/servicedesk/queue";
import { GetServicedeskIssuesInQueueRequest, GetServicedeskIssuesInQueueResponseOK } from "./types/servicedesk/queue";
import { GetServicedeskRequestTypePropertyKeysRequest, GetServicedeskRequestTypePropertyKeysResponseOK } from "./types/servicedesk/request/type/property";
import { GetServicedeskRequestTypePropertyRequest, GetServicedeskRequestTypePropertyResponseOK } from "./types/servicedesk/request/type/property";
import { SetServicedeskRequestTypePropertyRequest, SetServicedeskRequestTypePropertyResponseOK } from "./types/servicedesk/request/type/property";
import { DeleteServicedeskRequestTypePropertyRequest, DeleteServicedeskRequestTypePropertyResponseOK } from "./types/servicedesk/request/type/property";
import { GetServicedeskRequestTypesRequest, GetServicedeskRequestTypesResponseOK } from "./types/servicedesk/request/type";
import { CreateServicedeskRequestTypeRequest, CreateServicedeskRequestTypeResponseOK } from "./types/servicedesk/request/type";
import { GetServicedeskRequestTypeRequest, GetServicedeskRequestTypeResponseOK } from "./types/servicedesk/request/type";
import { DeleteServicedeskRequestTypeRequest, DeleteServicedeskRequestTypeResponseOK } from "./types/servicedesk/request/type";
import { GetServicedeskRequestTypeFieldsRequest, GetServicedeskRequestTypeFieldsResponseOK } from "./types/servicedesk/request/type";
import { GetServicedeskRequestTypeGroupsRequest, GetServicedeskRequestTypeGroupsResponseOK } from "./types/servicedesk/request/type";
import { GetServicedesksRequest, GetServicedesksResponseOK } from "./types/servicedesk";
import { GetServicedeskRequest, GetServicedeskResponseOK } from "./types/servicedesk";
import { AddTemporaryFilesToServicedeskRequest, AddTemporaryFilesToServicedeskResponseOK } from "./types/servicedesk";
import { GetRequestApprovalsRequest, GetRequestApprovalsResponseOK } from "./types/request/approval";
import { GetRequestApprovalRequest, GetRequestApprovalResponseOK } from "./types/request/approval";
import { AnswerRequestApprovalRequest, AnswerRequestApprovalResponseOK } from "./types/request/approval";
import { GetRequestAttachmentsRequest, GetRequestAttachmentsResponseOK } from "./types/request/attachment";
import { CreateRequestAttachmentsRequest, CreateRequestAttachmentsResponseOK } from "./types/request/attachment";
import { GetRequestAttachmentContentRequest, GetRequestAttachmentContentResponseOK } from "./types/request/attachment";
import { GetRequestAttachmentThumbnailRequest, GetRequestAttachmentThumbnailResponseOK } from "./types/request/attachment";
import { GetRequestCommentsRequest, GetRequestCommentsResponseOK } from "./types/request/comment";
import { CreateRequestCommentRequest, CreateRequestCommentResponseOK } from "./types/request/comment";
import { GetRequestCommentRequest, GetRequestCommentResponseOK } from "./types/request/comment";
import { GetRequestCommentAttachmentsRequest, GetRequestCommentAttachmentsResponseOK } from "./types/request/comment";
import { GetRequestNotificationStatusRequest, GetRequestNotificationStatusResponseOK } from "./types/request/notification";
import { SubscribeToRequestRequest, SubscribeToRequestResponseOK } from "./types/request/notification";
import { UnsubscribeFromRequestRequest, UnsubscribeFromRequestResponseOK } from "./types/request/notification";
import { GetRequestParticipantsRequest, GetRequestParticipantsResponseOK } from "./types/request/participant";
import { GetRequestSLAsRequest, GetRequestSLAsResponseOK } from "./types/request/sla";
import { GetRequestSLARequest, GetRequestSLAResponseOK } from "./types/request/sla";
import { GetRequestTransitionsRequest, GetRequestTransitionsResponseOK } from "./types/request/transition";
import { PerformRequestTransitionRequest, PerformRequestTransitionResponseOK } from "./types/request/transition";
import { GetRequestFeedbackRequest, GetRequestFeedbackResponseOK } from "./types/request/feedback";
import { PostRequestFeedbackRequest, PostRequestFeedbackResponseOK } from "./types/request/feedback";
import { DeleteRequestFeedbackRequest, DeleteRequestFeedbackResponseOK } from "./types/request/feedback";
import { GetRequestTypesRequest, GetRequestTypesResponseOK } from "./types/request/type";
import { GetRequestsRequest, GetRequestsResponseOK } from "./types/request";
import { CreateRequestRequest, CreateRequestResponseOK } from "./types/request";
import { GetRequestRequest, GetRequestResponseOK } from "./types/request";
import { AddRequestParticipantsRequest, AddRequestParticipantsResponseOK } from "./types/request";
import { RemoveRequestParticipantsRequest, RemoveRequestParticipantsResponseOK } from "./types/request";
import { GetRequestStatusesRequest, GetRequestStatusesResponseOK } from "./types/request";
import { BaseApiCore, Headers, Response, ErrorStrategyOptionType, PlatformImplementation } from "@managed-api/commons-core";
import { CommonError, AdditionalErrorTypes, ErrorStrategyHandlers, ErrorStrategyOption } from "./errorStrategy";
import { ErrorStrategyBuilder } from "./builders/errorStrategy";
export interface JiraServiceManagementCloudApiCoreOptions extends ErrorStrategyOption {
}
declare type GetGlobalErrorStrategy = () => ErrorStrategyOptionType<CommonError, AdditionalErrorTypes, ErrorStrategyHandlers, ErrorStrategyBuilder> | undefined;
export declare abstract class JiraServiceManagementCloudApiCore extends BaseApiCore {
    private options?;
    Customer: CustomerGroup;
    Info: InfoGroup;
    Assets: AssetsGroup;
    Knowledgebase: KnowledgebaseGroup;
    Organization: OrganizationGroup;
    Servicedesk: ServicedeskGroup;
    Request: RequestGroup;
    All: AllGroup;
    constructor(options?: JiraServiceManagementCloudApiCoreOptions | undefined);
    setGlobalErrorStrategy(errorStrategy: ErrorStrategyOptionType<CommonError, AdditionalErrorTypes, ErrorStrategyHandlers, ErrorStrategyBuilder>): void;
    protected buildResponse(url: string, status: number, statusText: string, headers: Headers, body?: string | ArrayBuffer): Response<any>;
    private getGlobalErrorStrategy;
}
declare class AllGroup {
    private Customer;
    private Info;
    private Assets;
    private Knowledgebase;
    private Organization;
    private Servicedesk;
    private Request;
    constructor(Customer: CustomerGroup, Info: InfoGroup, Assets: AssetsGroup, Knowledgebase: KnowledgebaseGroup, Organization: OrganizationGroup, Servicedesk: ServicedeskGroup, Request: RequestGroup);
    /**
  * This method adds a customer to the Jira Service Management instance by passing a JSON file including an email address and display name. The display name does not need to be unique. The record's identifiers, `name` and `key`, are automatically generated from the request details.
  
  **[Permissions](#permissions) required**: Jira Administrator Global permission
  * Alternative usage: Customer.createCustomer
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-customer/#api-rest-servicedeskapi-customer-post
  * @param options Request options.
  */
    createCustomer<T = CreateCustomerResponseOK>(options: CreateCustomerRequest): Promise<CreateCustomerResponseOK | T>;
    /**
  * This method retrieves information about the Jira Service Management instance such as software version, builds, and related links.
  
  **[Permissions](#permissions) required**: None, the user does not need to be logged in.
  * Alternative usage: Info.getInfo
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-info/#api-rest-servicedeskapi-info-get
  * @param options Request options.
  */
    getInfo<T = GetInfoResponseOK>(options?: GetInfoRequest): Promise<GetInfoResponseOK | T>;
    /**
  * Returns a list of Assets workspace IDs. Include a workspace ID in the path to access the [Assets REST APIs](https://developer.atlassian.com/cloud/assets/rest).
  
  **[Permissions](#permissions) required**: Any
  * Alternative usage: Assets.getWorkspaces
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-assets/#api-rest-servicedeskapi-assets-workspace-get
  * @param options Request options.
  */
    getAssetsWorkspaces<T = GetAssetsWorkspacesResponseOK>(options?: GetAssetsWorkspacesRequest): Promise<GetAssetsWorkspacesResponseOK | T>;
    /**
  * Returns articles which match the given query string across all service desks.
  
  **[Permissions](#permissions) required**: Permission to access the [customer portal](https://confluence.atlassian.com/servicedeskcloud/configuring-the-customer-portal-732528918.html).
  * Alternative usage: Knowledgebase.getArticles
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-knowledgebase/#api-rest-servicedeskapi-knowledgebase-article-get
  * @param options Request options.
  */
    getKnowledgebaseArticles<T = GetKnowledgebaseArticlesResponseOK>(options?: GetKnowledgebaseArticlesRequest): Promise<GetKnowledgebaseArticlesResponseOK | T>;
    /**
  * This method returns a list of organizations in the Jira Service Management instance. Use this method when you want to present a list of organizations or want to locate an organization by name.
  
  **[Permissions](#permissions) required**: Any. However, to fetch organizations based on `accountId` the user must have a Service Desk agent license.
  
  **Response limitations**: If the user is a customer, only those organizations of which the customer is a member are listed.
  * Alternative usage: Organization.getOrganizations
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-organization/#api-rest-servicedeskapi-organization-get
  * @param options Request options.
  */
    getOrganizations<T = GetOrganizationsResponseOK>(options?: GetOrganizationsRequest): Promise<GetOrganizationsResponseOK | T>;
    /**
  * This method creates an organization by passing the name of the organization.
  
  **[Permissions](#permissions) required**: Service desk administrator or agent. Note: Permission to create organizations can be switched to users with the Jira administrator permission, using the **[Organization management](https://confluence.atlassian.com/servicedeskcloud/setting-up-service-desk-users-732528877.html#Settingupservicedeskusers-manageorgsManageorganizations)** feature.
  * Alternative usage: Organization.createOrganization
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-organization/#api-rest-servicedeskapi-organization-post
  * @param options Request options.
  */
    createOrganization<T = CreateOrganizationResponseOK>(options: CreateOrganizationRequest): Promise<CreateOrganizationResponseOK | T>;
    /**
  * This method returns details of an organization. Use this method to get organization details whenever your application component is passed an organization ID but needs to display other organization details.
  
  **[Permissions](#permissions) required**: Any
  
  **Response limitations**: Customers can only retrieve organization of which they are members.
  * Alternative usage: Organization.getOrganization
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-organization/#api-rest-servicedeskapi-organization-organizationid-get
  * @param options Request options.
  */
    getOrganization<T = GetOrganizationResponseOK>(options: GetOrganizationRequest): Promise<GetOrganizationResponseOK | T>;
    /**
  * This method deletes an organization. Note that the organization is deleted regardless of other associations it may have. For example, associations with service desks.
  
  **[Permissions](#permissions) required**: Jira administrator.
  * Alternative usage: Organization.deleteOrganization
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-organization/#api-rest-servicedeskapi-organization-organizationid-delete
  * @param options Request options.
  */
    deleteOrganization<T = DeleteOrganizationResponseOK>(options: DeleteOrganizationRequest): Promise<DeleteOrganizationResponseOK | T>;
    /**
  * Returns the keys of all properties for an organization. Use this resource when you need to find out what additional properties items have been added to an organization.
  
  **[Permissions](#permissions) required**: Any
  
  **Response limitations**: Customers can only access properties of organizations of which they are members.
  * Alternative usage: Organization.Property.getKeys
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-organization/#api-rest-servicedeskapi-organization-organizationid-property-get
  * @param options Request options.
  */
    getOrganizationPropertyKeys<T = GetOrganizationPropertyKeysResponseOK>(options: GetOrganizationPropertyKeysRequest): Promise<GetOrganizationPropertyKeysResponseOK | T>;
    /**
  * Returns the value of a property from an organization. Use this method to obtain the JSON content for an organization's property.
  
  **[Permissions](#permissions) required**: Any
  
  **Response limitations**: Customers can only access properties of organizations of which they are members.
  * Alternative usage: Organization.Property.getProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-organization/#api-rest-servicedeskapi-organization-organizationid-property-propertykey-get
  * @param options Request options.
  */
    getOrganizationProperty<T = GetOrganizationPropertyResponseOK>(options: GetOrganizationPropertyRequest): Promise<GetOrganizationPropertyResponseOK | T>;
    /**
  * Sets the value of a property for an organization. Use this resource to store custom data against an organization.
  
  **[Permissions](#permissions) required**: Service Desk Administrator or Agent.
  
  Note: Permission to manage organizations can be switched to users with the Jira administrator permission, using the **[Organization management](https://confluence.atlassian.com/servicedeskcloud/setting-up-service-desk-users-732528877.html#Settingupservicedeskusers-manageorgsManageorganizations)** feature.
  * Alternative usage: Organization.Property.setProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-organization/#api-rest-servicedeskapi-organization-organizationid-property-propertykey-put
  * @param options Request options.
  */
    setOrganizationProperty<T = SetOrganizationPropertyResponseOK>(options: SetOrganizationPropertyRequest): Promise<SetOrganizationPropertyResponseOK | T>;
    /**
  * Removes a property from an organization.
  
  **[Permissions](#permissions) required**: Service Desk Administrator or Agent.
  
  Note: Permission to manage organizations can be switched to users with the Jira administrator permission, using the **[Organization management](https://confluence.atlassian.com/servicedeskcloud/setting-up-service-desk-users-732528877.html#Settingupservicedeskusers-manageorgsManageorganizations)** feature.
  * Alternative usage: Organization.Property.deleteProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-organization/#api-rest-servicedeskapi-organization-organizationid-property-propertykey-delete
  * @param options Request options.
  */
    deleteOrganizationProperty<T = DeleteOrganizationPropertyResponseOK>(options: DeleteOrganizationPropertyRequest): Promise<DeleteOrganizationPropertyResponseOK | T>;
    /**
  * This method returns all the users associated with an organization. Use this method where you want to provide a list of users for an organization or determine if a user is associated with an organization.
  
  **[Permissions](#permissions) required**: Service desk administrator or agent.
  * Alternative usage: Organization.User.getUsers
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-organization/#api-rest-servicedeskapi-organization-organizationid-user-get
  * @param options Request options.
  */
    getOrganizationUsers<T = GetOrganizationUsersResponseOK>(options: GetOrganizationUsersRequest): Promise<GetOrganizationUsersResponseOK | T>;
    /**
  * This method adds users to an organization.
  
  **[Permissions](#permissions) required**: Service desk administrator or agent. Note: Permission to add users to an organization can be switched to users with the Jira administrator permission, using the **[Organization management](https://confluence.atlassian.com/servicedeskcloud/setting-up-service-desk-users-732528877.html#Settingupservicedeskusers-manageorgsManageorganizations)** feature.
  * Alternative usage: Organization.User.addUser
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-organization/#api-rest-servicedeskapi-organization-organizationid-user-post
  * @param options Request options.
  */
    addOrganizationUser<T = AddOrganizationUserResponseOK>(options: AddOrganizationUserRequest): Promise<AddOrganizationUserResponseOK | T>;
    /**
  * This method removes users from an organization.
  
  **[Permissions](#permissions) required**: Service desk administrator or agent. Note: Permission to delete users from an organization can be switched to users with the Jira administrator permission, using the **[Organization management](https://confluence.atlassian.com/servicedeskcloud/setting-up-service-desk-users-732528877.html#Settingupservicedeskusers-manageorgsManageorganizations)** feature.
  * Alternative usage: Organization.User.removeUser
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-organization/#api-rest-servicedeskapi-organization-organizationid-user-delete
  * @param options Request options.
  */
    removeOrganizationUser<T = RemoveOrganizationUserResponseOK>(options: RemoveOrganizationUserRequest): Promise<RemoveOrganizationUserResponseOK | T>;
    /**
  * This method returns all the service desks in the Jira Service Management instance that the user has permission to access. Use this method where you need a list of service desks or need to locate a service desk by name or keyword.
  
  **[Permissions](#permissions) required**: Any
  * Alternative usage: Servicedesk.getServicedesks
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-servicedesk/#api-rest-servicedeskapi-servicedesk-get
  * @param options Request options.
  */
    getServicedesks<T = GetServicedesksResponseOK>(options?: GetServicedesksRequest): Promise<GetServicedesksResponseOK | T>;
    /**
  * This method returns a service desk. Use this method to get service desk details whenever your application component is passed a service desk ID but needs to display other service desk details.
  
  **[Permissions](#permissions) required**: Permission to access the Service Desk. For example, being the Service Desk's Administrator or one of its Agents or Users.
  * Alternative usage: Servicedesk.getServicedesk
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-servicedesk/#api-rest-servicedeskapi-servicedesk-servicedeskid-get
  * @param options Request options.
  */
    getServicedesk<T = GetServicedeskResponseOK>(options: GetServicedeskRequest): Promise<GetServicedeskResponseOK | T>;
    /**
  * This method adds one or more temporary attachments to a service desk, which can then be permanently attached to a customer request using [servicedeskapi/request/\{issueIdOrKey\}/attachment](#api-request-issueIdOrKey-attachment-post).
  
  **Note**: It is possible for a service desk administrator to turn off the ability to add attachments to a service desk.
  
  This method expects a multipart request. The media-type multipart/form-data is defined in RFC 1867. Most client libraries have classes that make dealing with multipart posts simple. For instance, in Java the Apache HTTP Components library provides [MultiPartEntity](http://hc.apache.org/httpcomponents-client-ga/httpmime/apidocs/org/apache/http/entity/mime/MultipartEntity.html).
  
  Because this method accepts multipart/form-data, it has XSRF protection on it. This means you must submit a header of X-Atlassian-Token: no-check with the request or it will be blocked.
  
  The name of the multipart/form-data parameter that contains the attachments must be `file`.
  
  For example, to upload a file called `myfile.txt` in the Service Desk with ID 10001 use
  
      curl -D- -u customer:customer -X POST -H "X-ExperimentalApi: opt-in" -H "X-Atlassian-Token: no-check" -F "file=@myfile.txt" https://your-domain.atlassian.net/rest/servicedeskapi/servicedesk/10001/attachTemporaryFile
  
  **[Permissions](#permissions) required**: Permission to add attachments in this Service Desk.
  * Alternative usage: Servicedesk.addTemporaryFilesToServicedesk
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-servicedesk/#api-rest-servicedeskapi-servicedesk-servicedeskid-attachtemporaryfile-post
  * @param options Request options.
  */
    addTemporaryFilesToServicedesk<T = AddTemporaryFilesToServicedeskResponseOK>(options: AddTemporaryFilesToServicedeskRequest): Promise<AddTemporaryFilesToServicedeskResponseOK | T>;
    /**
  * This method returns a list of all organizations associated with a service desk.
  
  **[Permissions](#permissions) required**: Service desk's agent.
  * Alternative usage: Servicedesk.Organization.getOrganizations
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-organization/#api-rest-servicedeskapi-servicedesk-servicedeskid-organization-get
  * @param options Request options.
  */
    getServicedeskOrganizations<T = GetServicedeskOrganizationsResponseOK>(options: GetServicedeskOrganizationsRequest): Promise<GetServicedeskOrganizationsResponseOK | T>;
    /**
  * This method adds an organization to a service desk. If the organization ID is already associated with the service desk, no change is made and the resource returns a 204 success code.
  
  **[Permissions](#permissions) required**: Service desk's agent.
  * Alternative usage: Servicedesk.Organization.addOrganization
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-organization/#api-rest-servicedeskapi-servicedesk-servicedeskid-organization-post
  * @param options Request options.
  */
    addServicedeskOrganization<T = AddServicedeskOrganizationResponseOK>(options: AddServicedeskOrganizationRequest): Promise<AddServicedeskOrganizationResponseOK | T>;
    /**
  * This method removes an organization from a service desk. If the organization ID does not match an organization associated with the service desk, no change is made and the resource returns a 204 success code.
  
  **[Permissions](#permissions) required**: Service desk's agent.
  * Alternative usage: Servicedesk.Organization.removeOrganization
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-organization/#api-rest-servicedeskapi-servicedesk-servicedeskid-organization-delete
  * @param options Request options.
  */
    removeServicedeskOrganization<T = RemoveServicedeskOrganizationResponseOK>(options: RemoveServicedeskOrganizationRequest): Promise<RemoveServicedeskOrganizationResponseOK | T>;
    /**
  * This method returns a list of the customers on a service desk.
  
  The returned list of customers can be filtered using the `query` parameter. The parameter is matched against customers' `displayName`, `name`, or `email`. For example, searching for "John", "Jo", "Smi", or "Smith" will match a user with display name "John Smith".
  
  **[Permissions](#permissions) required**: Permission to view this Service Desk's customers.
  * Alternative usage: Servicedesk.Customer.getCustomers
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-servicedesk/#api-rest-servicedeskapi-servicedesk-servicedeskid-customer-get
  * @param options Request options.
  */
    getServicedeskCustomers<T = GetServicedeskCustomersResponseOK>(options: GetServicedeskCustomersRequest): Promise<GetServicedeskCustomersResponseOK | T>;
    /**
  * Adds one or more customers to a service desk. If any of the passed customers are associated with the service desk, no changes will be made for those customers and the resource returns a 204 success code.
  
  **[Permissions](#permissions) required**: Service desk administrator
  * Alternative usage: Servicedesk.Customer.addCustomers
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-servicedesk/#api-rest-servicedeskapi-servicedesk-servicedeskid-customer-post
  * @param options Request options.
  */
    addServicedeskCustomers<T = AddServicedeskCustomersResponseOK>(options: AddServicedeskCustomersRequest): Promise<AddServicedeskCustomersResponseOK | T>;
    /**
  * This method removes one or more customers from a service desk. The service desk must have closed access. If any of the passed customers are not associated with the service desk, no changes will be made for those customers and the resource returns a 204 success code.
  
  **[Permissions](#permissions) required**: Services desk administrator
  * Alternative usage: Servicedesk.Customer.removeCustomers
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-servicedesk/#api-rest-servicedeskapi-servicedesk-servicedeskid-customer-delete
  * @param options Request options.
  */
    removeServicedeskCustomers<T = RemoveServicedeskCustomersResponseOK>(options: RemoveServicedeskCustomersRequest): Promise<RemoveServicedeskCustomersResponseOK | T>;
    /**
  * Returns articles which match the given query and belong to the knowledge base linked to the service desk.
  
  **[Permissions](#permissions) required**: Permission to access the service desk.
  * Alternative usage: Servicedesk.Knowledgebase.getArticles
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-servicedesk/#api-rest-servicedeskapi-servicedesk-servicedeskid-knowledgebase-article-get
  * @param options Request options.
  */
    getServicedeskKnowledgebaseArticles<T = GetServicedeskKnowledgebaseArticlesResponseOK>(options: GetServicedeskKnowledgebaseArticlesRequest): Promise<GetServicedeskKnowledgebaseArticlesResponseOK | T>;
    /**
  * This method returns the queues in a service desk. To include a customer request count for each queue (in the `issueCount` field) in the response, set the query parameter `includeCount` to true (its default is false).
  
  **[Permissions](#permissions) required**: service desk's Agent.
  * Alternative usage: Servicedesk.Queue.getQueues
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-servicedesk/#api-rest-servicedeskapi-servicedesk-servicedeskid-queue-get
  * @param options Request options.
  */
    getServicedeskQueues<T = GetServicedeskQueuesResponseOK>(options: GetServicedeskQueuesRequest): Promise<GetServicedeskQueuesResponseOK | T>;
    /**
  * This method returns a specific queues in a service desk. To include a customer request count for the queue (in the `issueCount` field) in the response, set the query parameter `includeCount` to true (its default is false).
  
  **[Permissions](#permissions) required**: service desk's Agent.
  * Alternative usage: Servicedesk.Queue.getQueue
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-servicedesk/#api-rest-servicedeskapi-servicedesk-servicedeskid-queue-queueid-get
  * @param options Request options.
  */
    getServicedeskQueue<T = GetServicedeskQueueResponseOK>(options: GetServicedeskQueueRequest): Promise<GetServicedeskQueueResponseOK | T>;
    /**
  * This method returns the customer requests in a queue. Only fields that the queue is configured to show are returned. For example, if a queue is configured to show description and due date, then only those two fields are returned for each customer request in the queue.
  
  **[Permissions](#permissions) required**: Service desk's agent.
  * Alternative usage: Servicedesk.Queue.getIssuesInQueue
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-servicedesk/#api-rest-servicedeskapi-servicedesk-servicedeskid-queue-queueid-issue-get
  * @param options Request options.
  */
    getServicedeskIssuesInQueue<T = GetServicedeskIssuesInQueueResponseOK>(options: GetServicedeskIssuesInQueueRequest): Promise<GetServicedeskIssuesInQueueResponseOK | T>;
    /**
  * This method returns all customer request types from a service desk. There are two parameters for filtering the returned list:
  
   *  `groupId` which filters the results to items in the customer request type group.
   *  `searchQuery` which is matched against request types' `name` or `description`. For example, the strings "Install", "Inst", "Equi", or "Equipment" will match a request type with the *name* "Equipment Installation Request".
  
  **[Permissions](#permissions) required**: Permission to access the service desk.
  * Alternative usage: Servicedesk.Request.Type.getTypes
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-servicedesk/#api-rest-servicedeskapi-servicedesk-servicedeskid-requesttype-get
  * @param options Request options.
  */
    getServicedeskRequestTypes<T = GetServicedeskRequestTypesResponseOK>(options: GetServicedeskRequestTypesRequest): Promise<GetServicedeskRequestTypesResponseOK | T>;
    /**
  * This method enables a customer request type to be added to a service desk based on an issue type. Note that not all customer request type fields can be specified in the request and these fields are given the following default values:
  
   *  Request type icon is given the headset icon.
   *  Request type groups is left empty, which means this customer request type will not be visible on the [customer portal](https://confluence.atlassian.com/servicedeskcloud/configuring-the-customer-portal-732528918.html).
   *  Request type status mapping is left empty, so the request type has no custom status mapping but inherits the status map from the issue type upon which it is based.
   *  Request type field mapping is set to show the required fields as specified by the issue type used to create the customer request type.
  
    
  These fields can be updated by a service desk administrator using the **Request types** option in **Project settings**.
  Request Types are created in next-gen projects by creating Issue Types. Please use the Jira Cloud Platform Create issue type endpoint instead.
  
  **[Permissions](#permissions) required**: Service desk's administrator
  * Alternative usage: Servicedesk.Request.Type.createType
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-servicedesk/#api-rest-servicedeskapi-servicedesk-servicedeskid-requesttype-post
  * @param options Request options.
  */
    createServicedeskRequestType<T = CreateServicedeskRequestTypeResponseOK>(options: CreateServicedeskRequestTypeRequest): Promise<CreateServicedeskRequestTypeResponseOK | T>;
    /**
  * This method returns a customer request type from a service desk.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required**: Permission to access the service desk.
  * Alternative usage: Servicedesk.Request.Type.getType
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-servicedesk/#api-rest-servicedeskapi-servicedesk-servicedeskid-requesttype-requesttypeid-get
  * @param options Request options.
  */
    getServicedeskRequestType<T = GetServicedeskRequestTypeResponseOK>(options: GetServicedeskRequestTypeRequest): Promise<GetServicedeskRequestTypeResponseOK | T>;
    /**
  * This method deletes a customer request type from a service desk, and removes it from all customer requests.
  This only supports classic projects.
  
  **[Permissions](#permissions) required**: Service desk administrator.
  * Alternative usage: Servicedesk.Request.Type.deleteType
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-servicedesk/#api-rest-servicedeskapi-servicedesk-servicedeskid-requesttype-requesttypeid-delete
  * @param options Request options.
  */
    deleteServicedeskRequestType<T = DeleteServicedeskRequestTypeResponseOK>(options: DeleteServicedeskRequestTypeRequest): Promise<DeleteServicedeskRequestTypeResponseOK | T>;
    /**
  * This method returns the fields for a service desk's customer request type.
  
  Also, the following information about the user's permissions for the request type is returned:
  
   *  `canRaiseOnBehalfOf` returns `true` if the user has permission to raise customer requests on behalf of other customers. Otherwise, returns `false`.
   *  `canAddRequestParticipants` returns `true` if the user can add customer request participants. Otherwise, returns `false`.
  
  **[Permissions](#permissions) required**: Permission to view the Service Desk. However, hidden fields would be visible to only Service desk's Administrator.
  * Alternative usage: Servicedesk.Request.Type.getFields
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-servicedesk/#api-rest-servicedeskapi-servicedesk-servicedeskid-requesttype-requesttypeid-field-get
  * @param options Request options.
  */
    getServicedeskRequestTypeFields<T = GetServicedeskRequestTypeFieldsResponseOK>(options: GetServicedeskRequestTypeFieldsRequest): Promise<GetServicedeskRequestTypeFieldsResponseOK | T>;
    /**
  * This method returns a service desk's customer request type groups. Jira Service Management administrators can arrange the customer request type groups in an arbitrary order for display on the customer portal; the groups are returned in this order.
  
  **[Permissions](#permissions) required**: Permission to view the service desk.
  * Alternative usage: Servicedesk.Request.Type.getTypeGroups
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-servicedesk/#api-rest-servicedeskapi-servicedesk-servicedeskid-requesttypegroup-get
  * @param options Request options.
  */
    getServicedeskRequestTypeGroups<T = GetServicedeskRequestTypeGroupsResponseOK>(options: GetServicedeskRequestTypeGroupsRequest): Promise<GetServicedeskRequestTypeGroupsResponseOK | T>;
    /**
  * Returns the keys of all properties for a request type.
  
  Properties for a Request Type in next-gen are stored as Issue Type properties and therefore the keys of all properties for a request type are also available by calling the Jira Cloud Platform [Get issue type property keys](https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issuetype-issueTypeId-properties-get) endpoint.
  
  **[Permissions](#permissions) required**: The user must have permission to view the request type.
  * Alternative usage: Servicedesk.Request.Type.Property.getKeys
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-servicedesk/#api-rest-servicedeskapi-servicedesk-servicedeskid-requesttype-requesttypeid-property-get
  * @param options Request options.
  */
    getServicedeskRequestTypePropertyKeys<T = GetServicedeskRequestTypePropertyKeysResponseOK>(options: GetServicedeskRequestTypePropertyKeysRequest): Promise<GetServicedeskRequestTypePropertyKeysResponseOK | T>;
    /**
  * Returns the value of the property from a request type.
  
  Properties for a Request Type in next-gen are stored as Issue Type properties and therefore also available by calling the Jira Cloud Platform [Get issue type property](https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issuetype-issueTypeId-properties-propertyKey-get) endpoint.
  
  **[Permissions](#permissions) required**: User must have permission to view the request type.
  * Alternative usage: Servicedesk.Request.Type.Property.getProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-servicedesk/#api-rest-servicedeskapi-servicedesk-servicedeskid-requesttype-requesttypeid-property-propertykey-get
  * @param options Request options.
  */
    getServicedeskRequestTypeProperty<T = GetServicedeskRequestTypePropertyResponseOK>(options: GetServicedeskRequestTypePropertyRequest): Promise<GetServicedeskRequestTypePropertyResponseOK | T>;
    /**
  * Sets the value of a request type property. Use this resource to store custom data against a request type.
  
  Properties for a Request Type in next-gen are stored as Issue Type properties and therefore can also be set by calling the Jira Cloud Platform [Set issue type property](https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issuetype-issueTypeId-properties-propertyKey-put) endpoint.
  
  **[Permissions](#permissions) required**: Jira project administrator with a Jira Service Management agent license.
  * Alternative usage: Servicedesk.Request.Type.Property.setProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-servicedesk/#api-rest-servicedeskapi-servicedesk-servicedeskid-requesttype-requesttypeid-property-propertykey-put
  * @param options Request options.
  */
    setServicedeskRequestTypeProperty<T = SetServicedeskRequestTypePropertyResponseOK>(options: SetServicedeskRequestTypePropertyRequest): Promise<SetServicedeskRequestTypePropertyResponseOK | T>;
    /**
  * Removes a property from a request type.
  
  Properties for a Request Type in next-gen are stored as Issue Type properties and therefore can also be deleted by calling the Jira Cloud Platform [Delete issue type property](https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issuetype-issueTypeId-properties-propertyKey-delete) endpoint.
  
  **[Permissions](#permissions) required**: Jira project administrator with a Jira Service Management agent license.
  * Alternative usage: Servicedesk.Request.Type.Property.deleteProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-servicedesk/#api-rest-servicedeskapi-servicedesk-servicedeskid-requesttype-requesttypeid-property-propertykey-delete
  * @param options Request options.
  */
    deleteServicedeskRequestTypeProperty<T = DeleteServicedeskRequestTypePropertyResponseOK>(options: DeleteServicedeskRequestTypePropertyRequest): Promise<DeleteServicedeskRequestTypePropertyResponseOK | T>;
    /**
  * This method returns all customer requests for the user executing the query.
  
  The returned customer requests are ordered chronologically by the latest activity on each request. For example, the latest status transition or comment.
  
  **[Permissions](#permissions) required**: Permission to access the specified service desk.
  
  **Response limitations**: For customers, the list returned will include request they created (or were created on their behalf) or are participating in only.
  * Alternative usage: Request.getRequests
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-get
  * @param options Request options.
  */
    getRequests<T = GetRequestsResponseOK>(options?: GetRequestsRequest): Promise<GetRequestsResponseOK | T>;
    /**
  * This method creates a customer request in a service desk.
  
  The JSON request must include the service desk and customer request type, as well as any fields that are required for the request type. A list of the fields required by a customer request type can be obtained using [servicedesk/\{serviceDeskId\}/requesttype/\{requestTypeId\}/field](#api-servicedesk-serviceDeskId-requesttype-requestTypeId-field-get).
  
  The fields required for a customer request type depend on the user's permissions:
  
   *  `raiseOnBehalfOf` is not available to Users who have the customer permission only.
   *  `requestParticipants` is not available to Users who have the customer permission only or if the feature is turned off for customers.
  
  `requestFieldValues` is a map of Jira field IDs and their values. See [Field input formats](#fieldformats), for details of each field's JSON semantics and the values they can take.
  
  **[Permissions](#permissions) required**: Permission to create requests in the specified service desk.
  * Alternative usage: Request.createRequest
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-post
  * @param options Request options.
  */
    createRequest<T = CreateRequestResponseOK>(options: CreateRequestRequest): Promise<CreateRequestResponseOK | T>;
    /**
  * This method returns a customer request.
  
  **[Permissions](#permissions) required**: Permission to access the specified service desk.
  
  **Response limitations**: For customers, only a request they created, was created on their behalf, or they are participating in will be returned.
  * Alternative usage: Request.getRequest
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-issueidorkey-get
  * @param options Request options.
  */
    getRequest<T = GetRequestResponseOK>(options: GetRequestRequest): Promise<GetRequestResponseOK | T>;
    /**
  * This method adds participants to a customer request.
  
  **[Permissions](#permissions) required**: Permission to manage participants on the customer request.
  
  Note, participants can be added when creating a customer request using the [request](#api-request-post) resource, by defining the participants in the `requestParticipants` field.
  * Alternative usage: Request.addParticipants
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-issueidorkey-participant-post
  * @param options Request options.
  */
    addRequestParticipants<T = AddRequestParticipantsResponseOK>(options: AddRequestParticipantsRequest): Promise<AddRequestParticipantsResponseOK | T>;
    /**
  * This method removes participants from a customer request.
  
  **[Permissions](#permissions) required**: Permission to manage participants on the customer request.
  * Alternative usage: Request.removeParticipants
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-issueidorkey-participant-delete
  * @param options Request options.
  */
    removeRequestParticipants<T = RemoveRequestParticipantsResponseOK>(options: RemoveRequestParticipantsRequest): Promise<RemoveRequestParticipantsResponseOK | T>;
    /**
  * This method returns a list of all the statuses a customer Request has achieved. A status represents the state of an issue in its workflow. An issue can have one active status only. The list returns the status history in chronological order, most recent (current) status first.
  
  **[Permissions](#permissions) required**: Permission to view the customer request.
  * Alternative usage: Request.getRequestStatuses
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-issueidorkey-status-get
  * @param options Request options.
  */
    getRequestStatuses<T = GetRequestStatusesResponseOK>(options: GetRequestStatusesRequest): Promise<GetRequestStatusesResponseOK | T>;
    /**
  * This method returns all approvals on a customer request.
  
  **[Permissions](#permissions) required**: Permission to view the customer request.
  * Alternative usage: Request.Approval.getApprovals
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-issueidorkey-approval-get
  * @param options Request options.
  */
    getRequestApprovals<T = GetRequestApprovalsResponseOK>(options: GetRequestApprovalsRequest): Promise<GetRequestApprovalsResponseOK | T>;
    /**
  * This method returns an approval. Use this method to determine the status of an approval and the list of approvers.
  
  **[Permissions](#permissions) required**: Permission to view the customer request.
  * Alternative usage: Request.Approval.getApproval
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-issueidorkey-approval-approvalid-get
  * @param options Request options.
  */
    getRequestApproval<T = GetRequestApprovalResponseOK>(options: GetRequestApprovalRequest): Promise<GetRequestApprovalResponseOK | T>;
    /**
  * This method enables a user to **Approve** or **Decline** an approval on a customer request. The approval is assumed to be owned by the user making the call.
  
  **[Permissions](#permissions) required**: User is assigned to the approval request.
  * Alternative usage: Request.Approval.answerApproval
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-issueidorkey-approval-approvalid-post
  * @param options Request options.
  */
    answerRequestApproval<T = AnswerRequestApprovalResponseOK>(options: AnswerRequestApprovalRequest): Promise<AnswerRequestApprovalResponseOK | T>;
    /**
  * This method returns all the attachments for a customer requests.
  
  **[Permissions](#permissions) required**: Permission to view the customer request.
  
  **Response limitations**: Customers will only get a list of public attachments.
  * Alternative usage: Request.Attachment.getAttachments
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-issueidorkey-attachment-get
  * @param options Request options.
  */
    getRequestAttachments<T = GetRequestAttachmentsResponseOK>(options: GetRequestAttachmentsRequest): Promise<GetRequestAttachmentsResponseOK | T>;
    /**
  * This method adds one or more temporary files (attached to the request's service desk using [servicedesk/\{serviceDeskId\}/attachTemporaryFile](#api-servicedesk-serviceDeskId-attachTemporaryFile-post)) as attachments to a customer request and set the attachment visibility using the `public` flag. Also, it is possible to include a comment with the attachments.
  
  To get a list of attachments for a comment on the request use [servicedeskapi/request/\{issueIdOrKey\}/comment/\{commentId\}/attachment](#api-request-issueIdOrKey-comment-commentId-attachment-get).
  
  **[Permissions](#permissions) required**: Permission to add an attachment.
  
  **Request limitations**: Customers can set attachments to public visibility only.
  * Alternative usage: Request.Attachment.createAttachments
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-issueidorkey-attachment-post
  * @param options Request options.
  */
    createRequestAttachments<T = CreateRequestAttachmentsResponseOK>(options: CreateRequestAttachmentsRequest): Promise<CreateRequestAttachmentsResponseOK | T>;
    /**
  * Returns the contents of an attachment.
  
  To return a thumbnail of the attachment, use [servicedeskapi/request/\{issueIdOrKey\}/attachment/\{attachmentId\}/thumbnail](#api-rest-servicedeskapi-request-issueidorkey-attachment-attachmentid-thumbnail-get).
  
  **[Permissions](#permissions) required:** For the issue containing the attachment:
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Alternative usage: Request.Attachment.getAttachmentContent
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-issueidorkey-attachment-attachmentid-get
  * @param options Request options.
  */
    getRequestAttachmentContent<T = GetRequestAttachmentContentResponseOK>(options: GetRequestAttachmentContentRequest): Promise<GetRequestAttachmentContentResponseOK | T>;
    /**
  * Returns the thumbnail of an attachment.
  
  To return the attachment contents, use [servicedeskapi/request/\{issueIdOrKey\}/attachment/\{attachmentId\}](#api-rest-servicedeskapi-request-issueidorkey-attachment-attachmentid-get).
  
  **[Permissions](#permissions) required:** For the issue containing the attachment:
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Alternative usage: Request.Attachment.getAttachmentThumbnail
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-issueidorkey-attachment-attachmentid-thumbnail-get
  * @param options Request options.
  */
    getRequestAttachmentThumbnail<T = GetRequestAttachmentThumbnailResponseOK>(options: GetRequestAttachmentThumbnailRequest): Promise<GetRequestAttachmentThumbnailResponseOK | T>;
    /**
  * This method returns all comments on a customer request. No permissions error is provided if, for example, the user doesn't have access to the service desk or request, the method simply returns an empty response.
  
  **[Permissions](#permissions) required**: Permission to view the customer request.
  
  **Response limitations**: Customers are returned public comments only.
  * Alternative usage: Request.Comment.getComments
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-issueidorkey-comment-get
  * @param options Request options.
  */
    getRequestComments<T = GetRequestCommentsResponseOK>(options: GetRequestCommentsRequest): Promise<GetRequestCommentsResponseOK | T>;
    /**
  * This method creates a public or private (internal) comment on a customer request, with the comment visibility set by `public`. The user recorded as the author of the comment.
  
  **[Permissions](#permissions) required**: User has Add Comments permission.
  
  **Request limitations**: Customers can set comments to public visibility only.
  * Alternative usage: Request.Comment.createComment
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-issueidorkey-comment-post
  * @param options Request options.
  */
    createRequestComment<T = CreateRequestCommentResponseOK>(options: CreateRequestCommentRequest): Promise<CreateRequestCommentResponseOK | T>;
    /**
  * This method returns details of a customer request's comment.
  
  **[Permissions](#permissions) required**: Permission to view the customer request.
  
  **Response limitations**: Customers can only view public comments on requests where they are the reporter or a participant whereas agents can see both internal and public comments.
  * Alternative usage: Request.Comment.getComment
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-issueidorkey-comment-commentid-get
  * @param options Request options.
  */
    getRequestComment<T = GetRequestCommentResponseOK>(options: GetRequestCommentRequest): Promise<GetRequestCommentResponseOK | T>;
    /**
  * This method returns the attachments referenced in a comment.
  
  **[Permissions](#permissions) required**: Permission to view the customer request.
  
  **Response limitations**: Customers can only view public comments, and retrieve their attachments, on requests where they are the reporter or a participant whereas agents can see both internal and public comments.
  * Alternative usage: Request.Comment.getCommentAttachments
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-issueidorkey-comment-commentid-attachment-get
  * @param options Request options.
  */
    getRequestCommentAttachments<T = GetRequestCommentAttachmentsResponseOK>(options: GetRequestCommentAttachmentsRequest): Promise<GetRequestCommentAttachmentsResponseOK | T>;
    /**
  * This method returns the notification subscription status of the user making the request. Use this method to determine if the user is subscribed to a customer request's notifications.
  
  **[Permissions](#permissions) required**: Permission to view the customer request.
  * Alternative usage: Request.Notification.getNotificationStatus
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-issueidorkey-notification-get
  * @param options Request options.
  */
    getRequestNotificationStatus<T = GetRequestNotificationStatusResponseOK>(options: GetRequestNotificationStatusRequest): Promise<GetRequestNotificationStatusResponseOK | T>;
    /**
  * This method subscribes the user to receiving notifications from a customer request.
  
  **[Permissions](#permissions) required**: Permission to view the customer request.
  * Alternative usage: Request.Notification.subscribeToRequest
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-issueidorkey-notification-put
  * @param options Request options.
  */
    subscribeToRequest<T = SubscribeToRequestResponseOK>(options: SubscribeToRequestRequest): Promise<SubscribeToRequestResponseOK | T>;
    /**
  * This method unsubscribes the user from notifications from a customer request.
  
  **[Permissions](#permissions) required**: Permission to view the customer request.
  * Alternative usage: Request.Notification.unsubscribeFromRequest
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-issueidorkey-notification-delete
  * @param options Request options.
  */
    unsubscribeFromRequest<T = UnsubscribeFromRequestResponseOK>(options: UnsubscribeFromRequestRequest): Promise<UnsubscribeFromRequestResponseOK | T>;
    /**
  * This method returns a list of all the participants on a customer request.
  
  **[Permissions](#permissions) required**: Permission to view the customer request.
  * Alternative usage: Request.Participant.getParticipants
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-issueidorkey-participant-get
  * @param options Request options.
  */
    getRequestParticipants<T = GetRequestParticipantsResponseOK>(options: GetRequestParticipantsRequest): Promise<GetRequestParticipantsResponseOK | T>;
    /**
  * This method returns all the SLA records on a customer request. A customer request can have zero or more SLAs. Each SLA can have recordings for zero or more "completed cycles" and zero or 1 "ongoing cycle". Each cycle includes information on when it started and stopped, and whether it breached the SLA goal.
  
  **[Permissions](#permissions) required**: Agent for the Service Desk containing the queried customer request.
  * Alternative usage: Request.SLA.getSLAs
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-issueidorkey-sla-get
  * @param options Request options.
  */
    getRequestSlAs<T = GetRequestSLAsResponseOK>(options: GetRequestSLAsRequest): Promise<GetRequestSLAsResponseOK | T>;
    /**
  * This method returns the details for an SLA on a customer request.
  
  **[Permissions](#permissions) required**: Agent for the Service Desk containing the queried customer request.
  * Alternative usage: Request.SLA.getSLA
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-issueidorkey-sla-slametricid-get
  * @param options Request options.
  */
    getRequestSla<T = GetRequestSLAResponseOK>(options: GetRequestSLARequest): Promise<GetRequestSLAResponseOK | T>;
    /**
  * This method returns a list of transitions, the workflow processes that moves a customer request from one status to another, that the user can perform on a request. Use this method to provide a user with a list if the actions they can take on a customer request.
  
  **[Permissions](#permissions) required**: Permission to view the customer request.
  * Alternative usage: Request.Transition.getTransitions
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-issueidorkey-transition-get
  * @param options Request options.
  */
    getRequestTransitions<T = GetRequestTransitionsResponseOK>(options: GetRequestTransitionsRequest): Promise<GetRequestTransitionsResponseOK | T>;
    /**
  * This method performs a customer transition for a given request and transition. An optional comment can be included to provide a reason for the transition.
  
  **[Permissions](#permissions) required**: The user must be able to view the request and have the Transition Issues permission. If a comment is passed the user must have the Add Comments permission.
  * Alternative usage: Request.Transition.performTransition
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-issueidorkey-transition-post
  * @param options Request options.
  */
    performRequestTransition<T = PerformRequestTransitionResponseOK>(options: PerformRequestTransitionRequest): Promise<PerformRequestTransitionResponseOK | T>;
    /**
  * This method retrieves a feedback of a request using it's `requestKey` or `requestId`
  
  **[Permissions](#permissions) required**: User has view request permissions.
  * Alternative usage: Request.Feedback.getFeedback
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-requestidorkey-feedback-get
  * @param options Request options.
  */
    getRequestFeedback<T = GetRequestFeedbackResponseOK>(options: GetRequestFeedbackRequest): Promise<GetRequestFeedbackResponseOK | T>;
    /**
  * This method adds a feedback on an request using it's `requestKey` or `requestId`
  
  **[Permissions](#permissions) required**: User must be the reporter or an Atlassian Connect app.
  * Alternative usage: Request.Feedback.postFeedback
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-requestidorkey-feedback-post
  * @param options Request options.
  */
    postRequestFeedback<T = PostRequestFeedbackResponseOK>(options: PostRequestFeedbackRequest): Promise<PostRequestFeedbackResponseOK | T>;
    /**
  * This method deletes the feedback of request using it's `requestKey` or `requestId`
  
  **[Permissions](#permissions) required**: User must be the reporter or an Atlassian Connect app.
  * Alternative usage: Request.Feedback.deleteFeedback
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-requestidorkey-feedback-delete
  * @param options Request options.
  */
    deleteRequestFeedback<T = DeleteRequestFeedbackResponseOK>(options: DeleteRequestFeedbackRequest): Promise<DeleteRequestFeedbackResponseOK | T>;
    /**
  * This method returns all customer request types used in the Jira Service Management instance, optionally filtered by a query string.
  
  Use [servicedeskapi/servicedesk/\{serviceDeskId\}/requesttype](#api-servicedesk-serviceDeskId-requesttype-get) to find the customer request types supported by a specific service desk.
  
  The returned list of customer request types can be filtered using the `query` parameter. The parameter is matched against the customer request types' `name` or `description`. For example, searching for "Install", "Inst", "Equi", or "Equipment" will match a customer request type with the *name* "Equipment Installation Request".
  
  **[Permissions](#permissions) required**: Any
  * Alternative usage: Request.Type.getTypes
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-requesttype/#api-rest-servicedeskapi-requesttype-get
  * @param options Request options.
  */
    getRequestTypes<T = GetRequestTypesResponseOK>(options?: GetRequestTypesRequest): Promise<GetRequestTypesResponseOK | T>;
}
declare class CustomerGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * This method adds a customer to the Jira Service Management instance by passing a JSON file including an email address and display name. The display name does not need to be unique. The record's identifiers, `name` and `key`, are automatically generated from the request details.
  
  **[Permissions](#permissions) required**: Jira Administrator Global permission
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-customer/#api-rest-servicedeskapi-customer-post
  * @param options Request options.
  */
    createCustomer<T = CreateCustomerResponseOK>(options: CreateCustomerRequest): Promise<CreateCustomerResponseOK | T>;
}
declare class InfoGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * This method retrieves information about the Jira Service Management instance such as software version, builds, and related links.
  
  **[Permissions](#permissions) required**: None, the user does not need to be logged in.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-info/#api-rest-servicedeskapi-info-get
  * @param options Request options.
  */
    getInfo<T = GetInfoResponseOK>(options?: GetInfoRequest): Promise<GetInfoResponseOK | T>;
}
declare class AssetsGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns a list of Assets workspace IDs. Include a workspace ID in the path to access the [Assets REST APIs](https://developer.atlassian.com/cloud/assets/rest).
  
  **[Permissions](#permissions) required**: Any
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-assets/#api-rest-servicedeskapi-assets-workspace-get
  * @param options Request options.
  */
    getWorkspaces<T = GetAssetsWorkspacesResponseOK>(options?: GetAssetsWorkspacesRequest): Promise<GetAssetsWorkspacesResponseOK | T>;
}
declare class KnowledgebaseGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns articles which match the given query string across all service desks.
  
  **[Permissions](#permissions) required**: Permission to access the [customer portal](https://confluence.atlassian.com/servicedeskcloud/configuring-the-customer-portal-732528918.html).
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-knowledgebase/#api-rest-servicedeskapi-knowledgebase-article-get
  * @param options Request options.
  */
    getArticles<T = GetKnowledgebaseArticlesResponseOK>(options?: GetKnowledgebaseArticlesRequest): Promise<GetKnowledgebaseArticlesResponseOK | T>;
}
declare class OrganizationGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Property: OrganizationPropertyGroup;
    User: OrganizationUserGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * This method returns a list of organizations in the Jira Service Management instance. Use this method when you want to present a list of organizations or want to locate an organization by name.
  
  **[Permissions](#permissions) required**: Any. However, to fetch organizations based on `accountId` the user must have a Service Desk agent license.
  
  **Response limitations**: If the user is a customer, only those organizations of which the customer is a member are listed.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-organization/#api-rest-servicedeskapi-organization-get
  * @param options Request options.
  */
    getOrganizations<T = GetOrganizationsResponseOK>(options?: GetOrganizationsRequest): Promise<GetOrganizationsResponseOK | T>;
    /**
  * This method creates an organization by passing the name of the organization.
  
  **[Permissions](#permissions) required**: Service desk administrator or agent. Note: Permission to create organizations can be switched to users with the Jira administrator permission, using the **[Organization management](https://confluence.atlassian.com/servicedeskcloud/setting-up-service-desk-users-732528877.html#Settingupservicedeskusers-manageorgsManageorganizations)** feature.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-organization/#api-rest-servicedeskapi-organization-post
  * @param options Request options.
  */
    createOrganization<T = CreateOrganizationResponseOK>(options: CreateOrganizationRequest): Promise<CreateOrganizationResponseOK | T>;
    /**
  * This method returns details of an organization. Use this method to get organization details whenever your application component is passed an organization ID but needs to display other organization details.
  
  **[Permissions](#permissions) required**: Any
  
  **Response limitations**: Customers can only retrieve organization of which they are members.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-organization/#api-rest-servicedeskapi-organization-organizationid-get
  * @param options Request options.
  */
    getOrganization<T = GetOrganizationResponseOK>(options: GetOrganizationRequest): Promise<GetOrganizationResponseOK | T>;
    /**
  * This method deletes an organization. Note that the organization is deleted regardless of other associations it may have. For example, associations with service desks.
  
  **[Permissions](#permissions) required**: Jira administrator.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-organization/#api-rest-servicedeskapi-organization-organizationid-delete
  * @param options Request options.
  */
    deleteOrganization<T = DeleteOrganizationResponseOK>(options: DeleteOrganizationRequest): Promise<DeleteOrganizationResponseOK | T>;
}
declare class OrganizationPropertyGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the keys of all properties for an organization. Use this resource when you need to find out what additional properties items have been added to an organization.
  
  **[Permissions](#permissions) required**: Any
  
  **Response limitations**: Customers can only access properties of organizations of which they are members.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-organization/#api-rest-servicedeskapi-organization-organizationid-property-get
  * @param options Request options.
  */
    getKeys<T = GetOrganizationPropertyKeysResponseOK>(options: GetOrganizationPropertyKeysRequest): Promise<GetOrganizationPropertyKeysResponseOK | T>;
    /**
  * Returns the value of a property from an organization. Use this method to obtain the JSON content for an organization's property.
  
  **[Permissions](#permissions) required**: Any
  
  **Response limitations**: Customers can only access properties of organizations of which they are members.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-organization/#api-rest-servicedeskapi-organization-organizationid-property-propertykey-get
  * @param options Request options.
  */
    getProperty<T = GetOrganizationPropertyResponseOK>(options: GetOrganizationPropertyRequest): Promise<GetOrganizationPropertyResponseOK | T>;
    /**
  * Sets the value of a property for an organization. Use this resource to store custom data against an organization.
  
  **[Permissions](#permissions) required**: Service Desk Administrator or Agent.
  
  Note: Permission to manage organizations can be switched to users with the Jira administrator permission, using the **[Organization management](https://confluence.atlassian.com/servicedeskcloud/setting-up-service-desk-users-732528877.html#Settingupservicedeskusers-manageorgsManageorganizations)** feature.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-organization/#api-rest-servicedeskapi-organization-organizationid-property-propertykey-put
  * @param options Request options.
  */
    setProperty<T = SetOrganizationPropertyResponseOK>(options: SetOrganizationPropertyRequest): Promise<SetOrganizationPropertyResponseOK | T>;
    /**
  * Removes a property from an organization.
  
  **[Permissions](#permissions) required**: Service Desk Administrator or Agent.
  
  Note: Permission to manage organizations can be switched to users with the Jira administrator permission, using the **[Organization management](https://confluence.atlassian.com/servicedeskcloud/setting-up-service-desk-users-732528877.html#Settingupservicedeskusers-manageorgsManageorganizations)** feature.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-organization/#api-rest-servicedeskapi-organization-organizationid-property-propertykey-delete
  * @param options Request options.
  */
    deleteProperty<T = DeleteOrganizationPropertyResponseOK>(options: DeleteOrganizationPropertyRequest): Promise<DeleteOrganizationPropertyResponseOK | T>;
}
declare class OrganizationUserGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * This method returns all the users associated with an organization. Use this method where you want to provide a list of users for an organization or determine if a user is associated with an organization.
  
  **[Permissions](#permissions) required**: Service desk administrator or agent.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-organization/#api-rest-servicedeskapi-organization-organizationid-user-get
  * @param options Request options.
  */
    getUsers<T = GetOrganizationUsersResponseOK>(options: GetOrganizationUsersRequest): Promise<GetOrganizationUsersResponseOK | T>;
    /**
  * This method adds users to an organization.
  
  **[Permissions](#permissions) required**: Service desk administrator or agent. Note: Permission to add users to an organization can be switched to users with the Jira administrator permission, using the **[Organization management](https://confluence.atlassian.com/servicedeskcloud/setting-up-service-desk-users-732528877.html#Settingupservicedeskusers-manageorgsManageorganizations)** feature.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-organization/#api-rest-servicedeskapi-organization-organizationid-user-post
  * @param options Request options.
  */
    addUser<T = AddOrganizationUserResponseOK>(options: AddOrganizationUserRequest): Promise<AddOrganizationUserResponseOK | T>;
    /**
  * This method removes users from an organization.
  
  **[Permissions](#permissions) required**: Service desk administrator or agent. Note: Permission to delete users from an organization can be switched to users with the Jira administrator permission, using the **[Organization management](https://confluence.atlassian.com/servicedeskcloud/setting-up-service-desk-users-732528877.html#Settingupservicedeskusers-manageorgsManageorganizations)** feature.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-organization/#api-rest-servicedeskapi-organization-organizationid-user-delete
  * @param options Request options.
  */
    removeUser<T = RemoveOrganizationUserResponseOK>(options: RemoveOrganizationUserRequest): Promise<RemoveOrganizationUserResponseOK | T>;
}
declare class ServicedeskGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Organization: ServicedeskOrganizationGroup;
    Customer: ServicedeskCustomerGroup;
    Knowledgebase: ServicedeskKnowledgebaseGroup;
    Queue: ServicedeskQueueGroup;
    Request: ServicedeskRequestGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * This method returns all the service desks in the Jira Service Management instance that the user has permission to access. Use this method where you need a list of service desks or need to locate a service desk by name or keyword.
  
  **[Permissions](#permissions) required**: Any
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-servicedesk/#api-rest-servicedeskapi-servicedesk-get
  * @param options Request options.
  */
    getServicedesks<T = GetServicedesksResponseOK>(options?: GetServicedesksRequest): Promise<GetServicedesksResponseOK | T>;
    /**
  * This method returns a service desk. Use this method to get service desk details whenever your application component is passed a service desk ID but needs to display other service desk details.
  
  **[Permissions](#permissions) required**: Permission to access the Service Desk. For example, being the Service Desk's Administrator or one of its Agents or Users.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-servicedesk/#api-rest-servicedeskapi-servicedesk-servicedeskid-get
  * @param options Request options.
  */
    getServicedesk<T = GetServicedeskResponseOK>(options: GetServicedeskRequest): Promise<GetServicedeskResponseOK | T>;
    /**
  * This method adds one or more temporary attachments to a service desk, which can then be permanently attached to a customer request using [servicedeskapi/request/\{issueIdOrKey\}/attachment](#api-request-issueIdOrKey-attachment-post).
  
  **Note**: It is possible for a service desk administrator to turn off the ability to add attachments to a service desk.
  
  This method expects a multipart request. The media-type multipart/form-data is defined in RFC 1867. Most client libraries have classes that make dealing with multipart posts simple. For instance, in Java the Apache HTTP Components library provides [MultiPartEntity](http://hc.apache.org/httpcomponents-client-ga/httpmime/apidocs/org/apache/http/entity/mime/MultipartEntity.html).
  
  Because this method accepts multipart/form-data, it has XSRF protection on it. This means you must submit a header of X-Atlassian-Token: no-check with the request or it will be blocked.
  
  The name of the multipart/form-data parameter that contains the attachments must be `file`.
  
  For example, to upload a file called `myfile.txt` in the Service Desk with ID 10001 use
  
      curl -D- -u customer:customer -X POST -H "X-ExperimentalApi: opt-in" -H "X-Atlassian-Token: no-check" -F "file=@myfile.txt" https://your-domain.atlassian.net/rest/servicedeskapi/servicedesk/10001/attachTemporaryFile
  
  **[Permissions](#permissions) required**: Permission to add attachments in this Service Desk.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-servicedesk/#api-rest-servicedeskapi-servicedesk-servicedeskid-attachtemporaryfile-post
  * @param options Request options.
  */
    addTemporaryFilesToServicedesk<T = AddTemporaryFilesToServicedeskResponseOK>(options: AddTemporaryFilesToServicedeskRequest): Promise<AddTemporaryFilesToServicedeskResponseOK | T>;
}
declare class ServicedeskOrganizationGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * This method returns a list of all organizations associated with a service desk.
  
  **[Permissions](#permissions) required**: Service desk's agent.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-organization/#api-rest-servicedeskapi-servicedesk-servicedeskid-organization-get
  * @param options Request options.
  */
    getOrganizations<T = GetServicedeskOrganizationsResponseOK>(options: GetServicedeskOrganizationsRequest): Promise<GetServicedeskOrganizationsResponseOK | T>;
    /**
  * This method adds an organization to a service desk. If the organization ID is already associated with the service desk, no change is made and the resource returns a 204 success code.
  
  **[Permissions](#permissions) required**: Service desk's agent.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-organization/#api-rest-servicedeskapi-servicedesk-servicedeskid-organization-post
  * @param options Request options.
  */
    addOrganization<T = AddServicedeskOrganizationResponseOK>(options: AddServicedeskOrganizationRequest): Promise<AddServicedeskOrganizationResponseOK | T>;
    /**
  * This method removes an organization from a service desk. If the organization ID does not match an organization associated with the service desk, no change is made and the resource returns a 204 success code.
  
  **[Permissions](#permissions) required**: Service desk's agent.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-organization/#api-rest-servicedeskapi-servicedesk-servicedeskid-organization-delete
  * @param options Request options.
  */
    removeOrganization<T = RemoveServicedeskOrganizationResponseOK>(options: RemoveServicedeskOrganizationRequest): Promise<RemoveServicedeskOrganizationResponseOK | T>;
}
declare class ServicedeskCustomerGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * This method returns a list of the customers on a service desk.
  
  The returned list of customers can be filtered using the `query` parameter. The parameter is matched against customers' `displayName`, `name`, or `email`. For example, searching for "John", "Jo", "Smi", or "Smith" will match a user with display name "John Smith".
  
  **[Permissions](#permissions) required**: Permission to view this Service Desk's customers.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-servicedesk/#api-rest-servicedeskapi-servicedesk-servicedeskid-customer-get
  * @param options Request options.
  */
    getCustomers<T = GetServicedeskCustomersResponseOK>(options: GetServicedeskCustomersRequest): Promise<GetServicedeskCustomersResponseOK | T>;
    /**
  * Adds one or more customers to a service desk. If any of the passed customers are associated with the service desk, no changes will be made for those customers and the resource returns a 204 success code.
  
  **[Permissions](#permissions) required**: Service desk administrator
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-servicedesk/#api-rest-servicedeskapi-servicedesk-servicedeskid-customer-post
  * @param options Request options.
  */
    addCustomers<T = AddServicedeskCustomersResponseOK>(options: AddServicedeskCustomersRequest): Promise<AddServicedeskCustomersResponseOK | T>;
    /**
  * This method removes one or more customers from a service desk. The service desk must have closed access. If any of the passed customers are not associated with the service desk, no changes will be made for those customers and the resource returns a 204 success code.
  
  **[Permissions](#permissions) required**: Services desk administrator
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-servicedesk/#api-rest-servicedeskapi-servicedesk-servicedeskid-customer-delete
  * @param options Request options.
  */
    removeCustomers<T = RemoveServicedeskCustomersResponseOK>(options: RemoveServicedeskCustomersRequest): Promise<RemoveServicedeskCustomersResponseOK | T>;
}
declare class ServicedeskKnowledgebaseGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns articles which match the given query and belong to the knowledge base linked to the service desk.
  
  **[Permissions](#permissions) required**: Permission to access the service desk.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-servicedesk/#api-rest-servicedeskapi-servicedesk-servicedeskid-knowledgebase-article-get
  * @param options Request options.
  */
    getArticles<T = GetServicedeskKnowledgebaseArticlesResponseOK>(options: GetServicedeskKnowledgebaseArticlesRequest): Promise<GetServicedeskKnowledgebaseArticlesResponseOK | T>;
}
declare class ServicedeskQueueGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * This method returns the queues in a service desk. To include a customer request count for each queue (in the `issueCount` field) in the response, set the query parameter `includeCount` to true (its default is false).
  
  **[Permissions](#permissions) required**: service desk's Agent.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-servicedesk/#api-rest-servicedeskapi-servicedesk-servicedeskid-queue-get
  * @param options Request options.
  */
    getQueues<T = GetServicedeskQueuesResponseOK>(options: GetServicedeskQueuesRequest): Promise<GetServicedeskQueuesResponseOK | T>;
    /**
  * This method returns a specific queues in a service desk. To include a customer request count for the queue (in the `issueCount` field) in the response, set the query parameter `includeCount` to true (its default is false).
  
  **[Permissions](#permissions) required**: service desk's Agent.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-servicedesk/#api-rest-servicedeskapi-servicedesk-servicedeskid-queue-queueid-get
  * @param options Request options.
  */
    getQueue<T = GetServicedeskQueueResponseOK>(options: GetServicedeskQueueRequest): Promise<GetServicedeskQueueResponseOK | T>;
    /**
  * This method returns the customer requests in a queue. Only fields that the queue is configured to show are returned. For example, if a queue is configured to show description and due date, then only those two fields are returned for each customer request in the queue.
  
  **[Permissions](#permissions) required**: Service desk's agent.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-servicedesk/#api-rest-servicedeskapi-servicedesk-servicedeskid-queue-queueid-issue-get
  * @param options Request options.
  */
    getIssuesInQueue<T = GetServicedeskIssuesInQueueResponseOK>(options: GetServicedeskIssuesInQueueRequest): Promise<GetServicedeskIssuesInQueueResponseOK | T>;
}
declare class ServicedeskRequestGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Type: ServicedeskRequestTypeGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
}
declare class ServicedeskRequestTypeGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Property: ServicedeskRequestTypePropertyGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * This method returns all customer request types from a service desk. There are two parameters for filtering the returned list:
  
   *  `groupId` which filters the results to items in the customer request type group.
   *  `searchQuery` which is matched against request types' `name` or `description`. For example, the strings "Install", "Inst", "Equi", or "Equipment" will match a request type with the *name* "Equipment Installation Request".
  
  **[Permissions](#permissions) required**: Permission to access the service desk.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-servicedesk/#api-rest-servicedeskapi-servicedesk-servicedeskid-requesttype-get
  * @param options Request options.
  */
    getTypes<T = GetServicedeskRequestTypesResponseOK>(options: GetServicedeskRequestTypesRequest): Promise<GetServicedeskRequestTypesResponseOK | T>;
    /**
  * This method enables a customer request type to be added to a service desk based on an issue type. Note that not all customer request type fields can be specified in the request and these fields are given the following default values:
  
   *  Request type icon is given the headset icon.
   *  Request type groups is left empty, which means this customer request type will not be visible on the [customer portal](https://confluence.atlassian.com/servicedeskcloud/configuring-the-customer-portal-732528918.html).
   *  Request type status mapping is left empty, so the request type has no custom status mapping but inherits the status map from the issue type upon which it is based.
   *  Request type field mapping is set to show the required fields as specified by the issue type used to create the customer request type.
  
    
  These fields can be updated by a service desk administrator using the **Request types** option in **Project settings**.
  Request Types are created in next-gen projects by creating Issue Types. Please use the Jira Cloud Platform Create issue type endpoint instead.
  
  **[Permissions](#permissions) required**: Service desk's administrator
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-servicedesk/#api-rest-servicedeskapi-servicedesk-servicedeskid-requesttype-post
  * @param options Request options.
  */
    createType<T = CreateServicedeskRequestTypeResponseOK>(options: CreateServicedeskRequestTypeRequest): Promise<CreateServicedeskRequestTypeResponseOK | T>;
    /**
  * This method returns a customer request type from a service desk.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required**: Permission to access the service desk.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-servicedesk/#api-rest-servicedeskapi-servicedesk-servicedeskid-requesttype-requesttypeid-get
  * @param options Request options.
  */
    getType<T = GetServicedeskRequestTypeResponseOK>(options: GetServicedeskRequestTypeRequest): Promise<GetServicedeskRequestTypeResponseOK | T>;
    /**
  * This method deletes a customer request type from a service desk, and removes it from all customer requests.
  This only supports classic projects.
  
  **[Permissions](#permissions) required**: Service desk administrator.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-servicedesk/#api-rest-servicedeskapi-servicedesk-servicedeskid-requesttype-requesttypeid-delete
  * @param options Request options.
  */
    deleteType<T = DeleteServicedeskRequestTypeResponseOK>(options: DeleteServicedeskRequestTypeRequest): Promise<DeleteServicedeskRequestTypeResponseOK | T>;
    /**
  * This method returns the fields for a service desk's customer request type.
  
  Also, the following information about the user's permissions for the request type is returned:
  
   *  `canRaiseOnBehalfOf` returns `true` if the user has permission to raise customer requests on behalf of other customers. Otherwise, returns `false`.
   *  `canAddRequestParticipants` returns `true` if the user can add customer request participants. Otherwise, returns `false`.
  
  **[Permissions](#permissions) required**: Permission to view the Service Desk. However, hidden fields would be visible to only Service desk's Administrator.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-servicedesk/#api-rest-servicedeskapi-servicedesk-servicedeskid-requesttype-requesttypeid-field-get
  * @param options Request options.
  */
    getFields<T = GetServicedeskRequestTypeFieldsResponseOK>(options: GetServicedeskRequestTypeFieldsRequest): Promise<GetServicedeskRequestTypeFieldsResponseOK | T>;
    /**
  * This method returns a service desk's customer request type groups. Jira Service Management administrators can arrange the customer request type groups in an arbitrary order for display on the customer portal; the groups are returned in this order.
  
  **[Permissions](#permissions) required**: Permission to view the service desk.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-servicedesk/#api-rest-servicedeskapi-servicedesk-servicedeskid-requesttypegroup-get
  * @param options Request options.
  */
    getTypeGroups<T = GetServicedeskRequestTypeGroupsResponseOK>(options: GetServicedeskRequestTypeGroupsRequest): Promise<GetServicedeskRequestTypeGroupsResponseOK | T>;
}
declare class ServicedeskRequestTypePropertyGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the keys of all properties for a request type.
  
  Properties for a Request Type in next-gen are stored as Issue Type properties and therefore the keys of all properties for a request type are also available by calling the Jira Cloud Platform [Get issue type property keys](https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issuetype-issueTypeId-properties-get) endpoint.
  
  **[Permissions](#permissions) required**: The user must have permission to view the request type.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-servicedesk/#api-rest-servicedeskapi-servicedesk-servicedeskid-requesttype-requesttypeid-property-get
  * @param options Request options.
  */
    getKeys<T = GetServicedeskRequestTypePropertyKeysResponseOK>(options: GetServicedeskRequestTypePropertyKeysRequest): Promise<GetServicedeskRequestTypePropertyKeysResponseOK | T>;
    /**
  * Returns the value of the property from a request type.
  
  Properties for a Request Type in next-gen are stored as Issue Type properties and therefore also available by calling the Jira Cloud Platform [Get issue type property](https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issuetype-issueTypeId-properties-propertyKey-get) endpoint.
  
  **[Permissions](#permissions) required**: User must have permission to view the request type.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-servicedesk/#api-rest-servicedeskapi-servicedesk-servicedeskid-requesttype-requesttypeid-property-propertykey-get
  * @param options Request options.
  */
    getProperty<T = GetServicedeskRequestTypePropertyResponseOK>(options: GetServicedeskRequestTypePropertyRequest): Promise<GetServicedeskRequestTypePropertyResponseOK | T>;
    /**
  * Sets the value of a request type property. Use this resource to store custom data against a request type.
  
  Properties for a Request Type in next-gen are stored as Issue Type properties and therefore can also be set by calling the Jira Cloud Platform [Set issue type property](https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issuetype-issueTypeId-properties-propertyKey-put) endpoint.
  
  **[Permissions](#permissions) required**: Jira project administrator with a Jira Service Management agent license.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-servicedesk/#api-rest-servicedeskapi-servicedesk-servicedeskid-requesttype-requesttypeid-property-propertykey-put
  * @param options Request options.
  */
    setProperty<T = SetServicedeskRequestTypePropertyResponseOK>(options: SetServicedeskRequestTypePropertyRequest): Promise<SetServicedeskRequestTypePropertyResponseOK | T>;
    /**
  * Removes a property from a request type.
  
  Properties for a Request Type in next-gen are stored as Issue Type properties and therefore can also be deleted by calling the Jira Cloud Platform [Delete issue type property](https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issuetype-issueTypeId-properties-propertyKey-delete) endpoint.
  
  **[Permissions](#permissions) required**: Jira project administrator with a Jira Service Management agent license.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-servicedesk/#api-rest-servicedeskapi-servicedesk-servicedeskid-requesttype-requesttypeid-property-propertykey-delete
  * @param options Request options.
  */
    deleteProperty<T = DeleteServicedeskRequestTypePropertyResponseOK>(options: DeleteServicedeskRequestTypePropertyRequest): Promise<DeleteServicedeskRequestTypePropertyResponseOK | T>;
}
declare class RequestGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Approval: RequestApprovalGroup;
    Attachment: RequestAttachmentGroup;
    Comment: RequestCommentGroup;
    Notification: RequestNotificationGroup;
    Participant: RequestParticipantGroup;
    SLA: RequestSLAGroup;
    Transition: RequestTransitionGroup;
    Feedback: RequestFeedbackGroup;
    Type: RequestTypeGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * This method returns all customer requests for the user executing the query.
  
  The returned customer requests are ordered chronologically by the latest activity on each request. For example, the latest status transition or comment.
  
  **[Permissions](#permissions) required**: Permission to access the specified service desk.
  
  **Response limitations**: For customers, the list returned will include request they created (or were created on their behalf) or are participating in only.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-get
  * @param options Request options.
  */
    getRequests<T = GetRequestsResponseOK>(options?: GetRequestsRequest): Promise<GetRequestsResponseOK | T>;
    /**
  * This method creates a customer request in a service desk.
  
  The JSON request must include the service desk and customer request type, as well as any fields that are required for the request type. A list of the fields required by a customer request type can be obtained using [servicedesk/\{serviceDeskId\}/requesttype/\{requestTypeId\}/field](#api-servicedesk-serviceDeskId-requesttype-requestTypeId-field-get).
  
  The fields required for a customer request type depend on the user's permissions:
  
   *  `raiseOnBehalfOf` is not available to Users who have the customer permission only.
   *  `requestParticipants` is not available to Users who have the customer permission only or if the feature is turned off for customers.
  
  `requestFieldValues` is a map of Jira field IDs and their values. See [Field input formats](#fieldformats), for details of each field's JSON semantics and the values they can take.
  
  **[Permissions](#permissions) required**: Permission to create requests in the specified service desk.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-post
  * @param options Request options.
  */
    createRequest<T = CreateRequestResponseOK>(options: CreateRequestRequest): Promise<CreateRequestResponseOK | T>;
    /**
  * This method returns a customer request.
  
  **[Permissions](#permissions) required**: Permission to access the specified service desk.
  
  **Response limitations**: For customers, only a request they created, was created on their behalf, or they are participating in will be returned.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-issueidorkey-get
  * @param options Request options.
  */
    getRequest<T = GetRequestResponseOK>(options: GetRequestRequest): Promise<GetRequestResponseOK | T>;
    /**
  * This method adds participants to a customer request.
  
  **[Permissions](#permissions) required**: Permission to manage participants on the customer request.
  
  Note, participants can be added when creating a customer request using the [request](#api-request-post) resource, by defining the participants in the `requestParticipants` field.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-issueidorkey-participant-post
  * @param options Request options.
  */
    addParticipants<T = AddRequestParticipantsResponseOK>(options: AddRequestParticipantsRequest): Promise<AddRequestParticipantsResponseOK | T>;
    /**
  * This method removes participants from a customer request.
  
  **[Permissions](#permissions) required**: Permission to manage participants on the customer request.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-issueidorkey-participant-delete
  * @param options Request options.
  */
    removeParticipants<T = RemoveRequestParticipantsResponseOK>(options: RemoveRequestParticipantsRequest): Promise<RemoveRequestParticipantsResponseOK | T>;
    /**
  * This method returns a list of all the statuses a customer Request has achieved. A status represents the state of an issue in its workflow. An issue can have one active status only. The list returns the status history in chronological order, most recent (current) status first.
  
  **[Permissions](#permissions) required**: Permission to view the customer request.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-issueidorkey-status-get
  * @param options Request options.
  */
    getRequestStatuses<T = GetRequestStatusesResponseOK>(options: GetRequestStatusesRequest): Promise<GetRequestStatusesResponseOK | T>;
}
declare class RequestApprovalGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * This method returns all approvals on a customer request.
  
  **[Permissions](#permissions) required**: Permission to view the customer request.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-issueidorkey-approval-get
  * @param options Request options.
  */
    getApprovals<T = GetRequestApprovalsResponseOK>(options: GetRequestApprovalsRequest): Promise<GetRequestApprovalsResponseOK | T>;
    /**
  * This method returns an approval. Use this method to determine the status of an approval and the list of approvers.
  
  **[Permissions](#permissions) required**: Permission to view the customer request.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-issueidorkey-approval-approvalid-get
  * @param options Request options.
  */
    getApproval<T = GetRequestApprovalResponseOK>(options: GetRequestApprovalRequest): Promise<GetRequestApprovalResponseOK | T>;
    /**
  * This method enables a user to **Approve** or **Decline** an approval on a customer request. The approval is assumed to be owned by the user making the call.
  
  **[Permissions](#permissions) required**: User is assigned to the approval request.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-issueidorkey-approval-approvalid-post
  * @param options Request options.
  */
    answerApproval<T = AnswerRequestApprovalResponseOK>(options: AnswerRequestApprovalRequest): Promise<AnswerRequestApprovalResponseOK | T>;
}
declare class RequestAttachmentGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * This method returns all the attachments for a customer requests.
  
  **[Permissions](#permissions) required**: Permission to view the customer request.
  
  **Response limitations**: Customers will only get a list of public attachments.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-issueidorkey-attachment-get
  * @param options Request options.
  */
    getAttachments<T = GetRequestAttachmentsResponseOK>(options: GetRequestAttachmentsRequest): Promise<GetRequestAttachmentsResponseOK | T>;
    /**
  * This method adds one or more temporary files (attached to the request's service desk using [servicedesk/\{serviceDeskId\}/attachTemporaryFile](#api-servicedesk-serviceDeskId-attachTemporaryFile-post)) as attachments to a customer request and set the attachment visibility using the `public` flag. Also, it is possible to include a comment with the attachments.
  
  To get a list of attachments for a comment on the request use [servicedeskapi/request/\{issueIdOrKey\}/comment/\{commentId\}/attachment](#api-request-issueIdOrKey-comment-commentId-attachment-get).
  
  **[Permissions](#permissions) required**: Permission to add an attachment.
  
  **Request limitations**: Customers can set attachments to public visibility only.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-issueidorkey-attachment-post
  * @param options Request options.
  */
    createAttachments<T = CreateRequestAttachmentsResponseOK>(options: CreateRequestAttachmentsRequest): Promise<CreateRequestAttachmentsResponseOK | T>;
    /**
  * Returns the contents of an attachment.
  
  To return a thumbnail of the attachment, use [servicedeskapi/request/\{issueIdOrKey\}/attachment/\{attachmentId\}/thumbnail](#api-rest-servicedeskapi-request-issueidorkey-attachment-attachmentid-thumbnail-get).
  
  **[Permissions](#permissions) required:** For the issue containing the attachment:
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-issueidorkey-attachment-attachmentid-get
  * @param options Request options.
  */
    getAttachmentContent<T = GetRequestAttachmentContentResponseOK>(options: GetRequestAttachmentContentRequest): Promise<GetRequestAttachmentContentResponseOK | T>;
    /**
  * Returns the thumbnail of an attachment.
  
  To return the attachment contents, use [servicedeskapi/request/\{issueIdOrKey\}/attachment/\{attachmentId\}](#api-rest-servicedeskapi-request-issueidorkey-attachment-attachmentid-get).
  
  **[Permissions](#permissions) required:** For the issue containing the attachment:
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-issueidorkey-attachment-attachmentid-thumbnail-get
  * @param options Request options.
  */
    getAttachmentThumbnail<T = GetRequestAttachmentThumbnailResponseOK>(options: GetRequestAttachmentThumbnailRequest): Promise<GetRequestAttachmentThumbnailResponseOK | T>;
}
declare class RequestCommentGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * This method returns all comments on a customer request. No permissions error is provided if, for example, the user doesn't have access to the service desk or request, the method simply returns an empty response.
  
  **[Permissions](#permissions) required**: Permission to view the customer request.
  
  **Response limitations**: Customers are returned public comments only.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-issueidorkey-comment-get
  * @param options Request options.
  */
    getComments<T = GetRequestCommentsResponseOK>(options: GetRequestCommentsRequest): Promise<GetRequestCommentsResponseOK | T>;
    /**
  * This method creates a public or private (internal) comment on a customer request, with the comment visibility set by `public`. The user recorded as the author of the comment.
  
  **[Permissions](#permissions) required**: User has Add Comments permission.
  
  **Request limitations**: Customers can set comments to public visibility only.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-issueidorkey-comment-post
  * @param options Request options.
  */
    createComment<T = CreateRequestCommentResponseOK>(options: CreateRequestCommentRequest): Promise<CreateRequestCommentResponseOK | T>;
    /**
  * This method returns details of a customer request's comment.
  
  **[Permissions](#permissions) required**: Permission to view the customer request.
  
  **Response limitations**: Customers can only view public comments on requests where they are the reporter or a participant whereas agents can see both internal and public comments.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-issueidorkey-comment-commentid-get
  * @param options Request options.
  */
    getComment<T = GetRequestCommentResponseOK>(options: GetRequestCommentRequest): Promise<GetRequestCommentResponseOK | T>;
    /**
  * This method returns the attachments referenced in a comment.
  
  **[Permissions](#permissions) required**: Permission to view the customer request.
  
  **Response limitations**: Customers can only view public comments, and retrieve their attachments, on requests where they are the reporter or a participant whereas agents can see both internal and public comments.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-issueidorkey-comment-commentid-attachment-get
  * @param options Request options.
  */
    getCommentAttachments<T = GetRequestCommentAttachmentsResponseOK>(options: GetRequestCommentAttachmentsRequest): Promise<GetRequestCommentAttachmentsResponseOK | T>;
}
declare class RequestNotificationGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * This method returns the notification subscription status of the user making the request. Use this method to determine if the user is subscribed to a customer request's notifications.
  
  **[Permissions](#permissions) required**: Permission to view the customer request.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-issueidorkey-notification-get
  * @param options Request options.
  */
    getNotificationStatus<T = GetRequestNotificationStatusResponseOK>(options: GetRequestNotificationStatusRequest): Promise<GetRequestNotificationStatusResponseOK | T>;
    /**
  * This method subscribes the user to receiving notifications from a customer request.
  
  **[Permissions](#permissions) required**: Permission to view the customer request.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-issueidorkey-notification-put
  * @param options Request options.
  */
    subscribeToRequest<T = SubscribeToRequestResponseOK>(options: SubscribeToRequestRequest): Promise<SubscribeToRequestResponseOK | T>;
    /**
  * This method unsubscribes the user from notifications from a customer request.
  
  **[Permissions](#permissions) required**: Permission to view the customer request.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-issueidorkey-notification-delete
  * @param options Request options.
  */
    unsubscribeFromRequest<T = UnsubscribeFromRequestResponseOK>(options: UnsubscribeFromRequestRequest): Promise<UnsubscribeFromRequestResponseOK | T>;
}
declare class RequestParticipantGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * This method returns a list of all the participants on a customer request.
  
  **[Permissions](#permissions) required**: Permission to view the customer request.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-issueidorkey-participant-get
  * @param options Request options.
  */
    getParticipants<T = GetRequestParticipantsResponseOK>(options: GetRequestParticipantsRequest): Promise<GetRequestParticipantsResponseOK | T>;
}
declare class RequestSLAGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * This method returns all the SLA records on a customer request. A customer request can have zero or more SLAs. Each SLA can have recordings for zero or more "completed cycles" and zero or 1 "ongoing cycle". Each cycle includes information on when it started and stopped, and whether it breached the SLA goal.
  
  **[Permissions](#permissions) required**: Agent for the Service Desk containing the queried customer request.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-issueidorkey-sla-get
  * @param options Request options.
  */
    getSlAs<T = GetRequestSLAsResponseOK>(options: GetRequestSLAsRequest): Promise<GetRequestSLAsResponseOK | T>;
    /**
  * This method returns the details for an SLA on a customer request.
  
  **[Permissions](#permissions) required**: Agent for the Service Desk containing the queried customer request.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-issueidorkey-sla-slametricid-get
  * @param options Request options.
  */
    getSla<T = GetRequestSLAResponseOK>(options: GetRequestSLARequest): Promise<GetRequestSLAResponseOK | T>;
}
declare class RequestTransitionGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * This method returns a list of transitions, the workflow processes that moves a customer request from one status to another, that the user can perform on a request. Use this method to provide a user with a list if the actions they can take on a customer request.
  
  **[Permissions](#permissions) required**: Permission to view the customer request.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-issueidorkey-transition-get
  * @param options Request options.
  */
    getTransitions<T = GetRequestTransitionsResponseOK>(options: GetRequestTransitionsRequest): Promise<GetRequestTransitionsResponseOK | T>;
    /**
  * This method performs a customer transition for a given request and transition. An optional comment can be included to provide a reason for the transition.
  
  **[Permissions](#permissions) required**: The user must be able to view the request and have the Transition Issues permission. If a comment is passed the user must have the Add Comments permission.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-issueidorkey-transition-post
  * @param options Request options.
  */
    performTransition<T = PerformRequestTransitionResponseOK>(options: PerformRequestTransitionRequest): Promise<PerformRequestTransitionResponseOK | T>;
}
declare class RequestFeedbackGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * This method retrieves a feedback of a request using it's `requestKey` or `requestId`
  
  **[Permissions](#permissions) required**: User has view request permissions.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-requestidorkey-feedback-get
  * @param options Request options.
  */
    getFeedback<T = GetRequestFeedbackResponseOK>(options: GetRequestFeedbackRequest): Promise<GetRequestFeedbackResponseOK | T>;
    /**
  * This method adds a feedback on an request using it's `requestKey` or `requestId`
  
  **[Permissions](#permissions) required**: User must be the reporter or an Atlassian Connect app.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-requestidorkey-feedback-post
  * @param options Request options.
  */
    postFeedback<T = PostRequestFeedbackResponseOK>(options: PostRequestFeedbackRequest): Promise<PostRequestFeedbackResponseOK | T>;
    /**
  * This method deletes the feedback of request using it's `requestKey` or `requestId`
  
  **[Permissions](#permissions) required**: User must be the reporter or an Atlassian Connect app.
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-request/#api-rest-servicedeskapi-request-requestidorkey-feedback-delete
  * @param options Request options.
  */
    deleteFeedback<T = DeleteRequestFeedbackResponseOK>(options: DeleteRequestFeedbackRequest): Promise<DeleteRequestFeedbackResponseOK | T>;
}
declare class RequestTypeGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * This method returns all customer request types used in the Jira Service Management instance, optionally filtered by a query string.
  
  Use [servicedeskapi/servicedesk/\{serviceDeskId\}/requesttype](#api-servicedesk-serviceDeskId-requesttype-get) to find the customer request types supported by a specific service desk.
  
  The returned list of customer request types can be filtered using the `query` parameter. The parameter is matched against the customer request types' `name` or `description`. For example, searching for "Install", "Inst", "Equi", or "Equipment" will match a customer request type with the *name* "Equipment Installation Request".
  
  **[Permissions](#permissions) required**: Any
  * Documentation: https://developer.atlassian.com/cloud/jira/service-desk/rest/api-group-requesttype/#api-rest-servicedeskapi-requesttype-get
  * @param options Request options.
  */
    getTypes<T = GetRequestTypesResponseOK>(options?: GetRequestTypesRequest): Promise<GetRequestTypesResponseOK | T>;
}
export {};
//# sourceMappingURL=index.d.ts.map