/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { PagedDTOAssetsWorkspaceDTOAsResponse } from "../definitions/PagedDTOAssetsWorkspaceDTOAsResponse";
import { ErrorResponseAsResponse } from "../definitions/ErrorResponseAsResponse";
import { ErrorStrategyOption } from "../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface GetAssetsWorkspacesRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The starting index of the returned workspace IDs. Base index: 0 See the [Pagination](#pagination) section for more details.
     */
    start?: number;
    /**
     * The maximum number of workspace IDs to return per page. Default: 50 See the [Pagination](#pagination) section for more details.
     */
    limit?: number;
}
declare type GetAssetsWorkspacesResponseOKType = PagedDTOAssetsWorkspaceDTOAsResponse;
export interface GetAssetsWorkspacesResponseOK extends GetAssetsWorkspacesResponseOKType {
}
declare type GetAssetsWorkspacesResponseErrorType = ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse;
export interface GetAssetsWorkspacesResponseError extends GetAssetsWorkspacesResponseErrorType {
}
export {};
//# sourceMappingURL=assets.d.ts.map