/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { CustomerCreateDTO } from "../definitions/CustomerCreateDTO";
import { UserDTOAsResponse } from "../definitions/UserDTOAsResponse";
import { ErrorResponseAsResponse } from "../definitions/ErrorResponseAsResponse";
import { ErrorStrategyOption } from "../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface CreateCustomerRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * Optional boolean flag to return 409 Conflict status code for duplicate customer creation request
     */
    strictConflictStatusCode?: boolean;
    body: CustomerCreateDTO;
}
declare type CreateCustomerResponseOKType = UserDTOAsResponse;
export interface CreateCustomerResponseOK extends CreateCustomerResponseOKType {
}
declare type CreateCustomerResponseErrorType = ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse;
export interface CreateCustomerResponseError extends CreateCustomerResponseErrorType {
}
export {};
//# sourceMappingURL=customer.d.ts.map