/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { PagedDTOOrganizationDTOAsResponse } from "../definitions/PagedDTOOrganizationDTOAsResponse";
import { ErrorResponseAsResponse } from "../definitions/ErrorResponseAsResponse";
import { ErrorStrategyOption } from "../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { OrganizationCreateDTO } from "../definitions/OrganizationCreateDTO";
import { OrganizationDTOAsResponse } from "../definitions/OrganizationDTOAsResponse";
export interface GetOrganizationsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The starting index of the returned objects. Base index: 0. See the [Pagination](#pagination) section for more details.
     */
    start?: number;
    /**
     * The maximum number of organizations to return per page. Default: 50. See the [Pagination](#pagination) section for more details.
     */
    limit?: number;
    /**
     * The account ID of the user, which uniquely identifies the user across all Atlassian products. For example, *5b10ac8d82e05b22cc7d4ef5*.
     */
    accountId?: string;
}
declare type GetOrganizationsResponseOKType = PagedDTOOrganizationDTOAsResponse;
export interface GetOrganizationsResponseOK extends GetOrganizationsResponseOKType {
}
declare type GetOrganizationsResponseErrorType = ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse;
export interface GetOrganizationsResponseError extends GetOrganizationsResponseErrorType {
}
export interface CreateOrganizationRequest extends HeadersOption, ErrorStrategyOption {
    body: OrganizationCreateDTO;
}
declare type CreateOrganizationResponseOKType = OrganizationDTOAsResponse;
export interface CreateOrganizationResponseOK extends CreateOrganizationResponseOKType {
}
declare type CreateOrganizationResponseErrorType = ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse;
export interface CreateOrganizationResponseError extends CreateOrganizationResponseErrorType {
}
export interface GetOrganizationRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the organization.
     */
    organizationId: number;
}
declare type GetOrganizationResponseOKType = OrganizationDTOAsResponse;
export interface GetOrganizationResponseOK extends GetOrganizationResponseOKType {
}
declare type GetOrganizationResponseErrorType = ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse;
export interface GetOrganizationResponseError extends GetOrganizationResponseErrorType {
}
export interface DeleteOrganizationRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the organization.
     */
    organizationId: number;
}
export declare type DeleteOrganizationResponseOK = undefined;
declare type DeleteOrganizationResponseErrorType = ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse;
export interface DeleteOrganizationResponseError extends DeleteOrganizationResponseErrorType {
}
export {};
//# sourceMappingURL=organization.d.ts.map