/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { PropertyKeysAsResponse } from "../../definitions/PropertyKeysAsResponse";
import { ErrorResponseAsResponse } from "../../definitions/ErrorResponseAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { EntityPropertyAsResponse } from "../../definitions/EntityPropertyAsResponse";
export interface GetOrganizationPropertyKeysRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the organization from which keys will be returned.
     */
    organizationId: string;
}
declare type GetOrganizationPropertyKeysResponseOKType = PropertyKeysAsResponse;
export interface GetOrganizationPropertyKeysResponseOK extends GetOrganizationPropertyKeysResponseOKType {
}
declare type GetOrganizationPropertyKeysResponseErrorType = ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse;
export interface GetOrganizationPropertyKeysResponseError extends GetOrganizationPropertyKeysResponseErrorType {
}
export interface GetOrganizationPropertyRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the organization from which the property will be returned.
     */
    organizationId: string;
    /**
     * The key of the property to return.
     */
    propertyKey: string;
}
declare type GetOrganizationPropertyResponseOKType = EntityPropertyAsResponse;
export interface GetOrganizationPropertyResponseOK extends GetOrganizationPropertyResponseOKType {
}
declare type GetOrganizationPropertyResponseErrorType = ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse;
export interface GetOrganizationPropertyResponseError extends GetOrganizationPropertyResponseErrorType {
}
export interface SetOrganizationPropertyRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the organization on which the property will be set.
     */
    organizationId: string;
    /**
     * The key of the organization's property. The maximum length of the key is 255 bytes.
     */
    propertyKey: string;
}
export declare type SetOrganizationPropertyResponseOK = any | any;
declare type SetOrganizationPropertyResponseErrorType = ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse;
export interface SetOrganizationPropertyResponseError extends SetOrganizationPropertyResponseErrorType {
}
export interface DeleteOrganizationPropertyRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the organization from which the property will be removed.
     */
    organizationId: string;
    /**
     * The key of the property to remove.
     */
    propertyKey: string;
}
export declare type DeleteOrganizationPropertyResponseOK = undefined;
declare type DeleteOrganizationPropertyResponseErrorType = ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse;
export interface DeleteOrganizationPropertyResponseError extends DeleteOrganizationPropertyResponseErrorType {
}
export {};
//# sourceMappingURL=property.d.ts.map