/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { PagedDTOUserDTOAsResponse } from "../../definitions/PagedDTOUserDTOAsResponse";
import { ErrorResponseAsResponse } from "../../definitions/ErrorResponseAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { UsersOrganizationUpdateDTO } from "../../definitions/UsersOrganizationUpdateDTO";
export interface GetOrganizationUsersRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the organization.
     */
    organizationId: number;
    /**
     * The starting index of the returned objects. Base index: 0. See the [Pagination](#pagination) section for more details.
     */
    start?: number;
    /**
     * The maximum number of users to return per page. Default: 50. See the [Pagination](#pagination) section for more details.
     */
    limit?: number;
}
declare type GetOrganizationUsersResponseOKType = PagedDTOUserDTOAsResponse;
export interface GetOrganizationUsersResponseOK extends GetOrganizationUsersResponseOKType {
}
declare type GetOrganizationUsersResponseErrorType = ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse;
export interface GetOrganizationUsersResponseError extends GetOrganizationUsersResponseErrorType {
}
export interface AddOrganizationUserRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the organization.
     */
    organizationId: number;
    body: UsersOrganizationUpdateDTO;
}
export declare type AddOrganizationUserResponseOK = undefined;
declare type AddOrganizationUserResponseErrorType = ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse;
export interface AddOrganizationUserResponseError extends AddOrganizationUserResponseErrorType {
}
export interface RemoveOrganizationUserRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the organization.
     */
    organizationId: number;
    body: UsersOrganizationUpdateDTO;
}
export declare type RemoveOrganizationUserResponseOK = undefined;
declare type RemoveOrganizationUserResponseErrorType = ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse;
export interface RemoveOrganizationUserResponseError extends RemoveOrganizationUserResponseErrorType {
}
export {};
//# sourceMappingURL=user.d.ts.map