/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { PagedDTOApprovalDTOAsResponse } from "../../definitions/PagedDTOApprovalDTOAsResponse";
import { ErrorResponseAsResponse } from "../../definitions/ErrorResponseAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { ApprovalDTOAsResponse } from "../../definitions/ApprovalDTOAsResponse";
import { ApprovalDecisionRequestDTO } from "../../definitions/ApprovalDecisionRequestDTO";
export interface GetRequestApprovalsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID or key of the customer request to be queried for its approvals.
     */
    issueIdOrKey: string;
    /**
     * The starting index of the returned objects. Base index: 0. See the [Pagination](#pagination) section for more details.
     */
    start?: number;
    /**
     * The maximum number of approvals to return per page. Default: 50. See the [Pagination](#pagination) section for more details.
     */
    limit?: number;
}
declare type GetRequestApprovalsResponseOKType = PagedDTOApprovalDTOAsResponse;
export interface GetRequestApprovalsResponseOK extends GetRequestApprovalsResponseOKType {
}
declare type GetRequestApprovalsResponseErrorType = ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse;
export interface GetRequestApprovalsResponseError extends GetRequestApprovalsResponseErrorType {
}
export interface GetRequestApprovalRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID or key of the customer request the approval is on.
     */
    issueIdOrKey: string;
    /**
     * The ID of the approval to be returned.
     */
    approvalId: number;
}
declare type GetRequestApprovalResponseOKType = ApprovalDTOAsResponse;
export interface GetRequestApprovalResponseOK extends GetRequestApprovalResponseOKType {
}
declare type GetRequestApprovalResponseErrorType = ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse;
export interface GetRequestApprovalResponseError extends GetRequestApprovalResponseErrorType {
}
export interface AnswerRequestApprovalRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID or key of the customer request to be updated.
     */
    issueIdOrKey: string;
    /**
     * The ID of the approval to be updated.
     */
    approvalId: number;
    body: ApprovalDecisionRequestDTO;
}
declare type AnswerRequestApprovalResponseOKType = ApprovalDTOAsResponse;
export interface AnswerRequestApprovalResponseOK extends AnswerRequestApprovalResponseOKType {
}
declare type AnswerRequestApprovalResponseErrorType = ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse;
export interface AnswerRequestApprovalResponseError extends AnswerRequestApprovalResponseErrorType {
}
export {};
//# sourceMappingURL=approval.d.ts.map