/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { PagedDTOAttachmentDTOAsResponse } from "../../definitions/PagedDTOAttachmentDTOAsResponse";
import { ErrorResponseAsResponse } from "../../definitions/ErrorResponseAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { AttachmentCreateDTO } from "../../definitions/AttachmentCreateDTO";
import { AttachmentCreateResultDTOAsResponse } from "../../definitions/AttachmentCreateResultDTOAsResponse";
export interface GetRequestAttachmentsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID or key of the customer request from which the attachments will be listed.
     */
    issueIdOrKey: string;
    /**
     * The starting index of the returned attachment. Base index: 0. See the [Pagination](#pagination) section for more details.
     */
    start?: number;
    /**
     * The maximum number of comments to return per page. Default: 50. See the [Pagination](#pagination) section for more details.
     */
    limit?: number;
}
declare type GetRequestAttachmentsResponseOKType = PagedDTOAttachmentDTOAsResponse;
export interface GetRequestAttachmentsResponseOK extends GetRequestAttachmentsResponseOKType {
}
declare type GetRequestAttachmentsResponseErrorType = ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse;
export interface GetRequestAttachmentsResponseError extends GetRequestAttachmentsResponseErrorType {
}
export interface CreateRequestAttachmentsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID or key of the customer request to which the attachment will be added.
     */
    issueIdOrKey: string;
    body: AttachmentCreateDTO;
}
declare type CreateRequestAttachmentsResponseOKType = AttachmentCreateResultDTOAsResponse;
export interface CreateRequestAttachmentsResponseOK extends CreateRequestAttachmentsResponseOKType {
}
declare type CreateRequestAttachmentsResponseErrorType = ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse;
export interface CreateRequestAttachmentsResponseError extends CreateRequestAttachmentsResponseErrorType {
}
export interface GetRequestAttachmentContentRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID or key for the customer request the attachment is associated with
     */
    issueIdOrKey: string;
    /**
     * The ID for the attachment
     */
    attachmentId: number;
}
export declare type GetRequestAttachmentContentResponseOK = any;
declare type GetRequestAttachmentContentResponseErrorType = ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse;
export interface GetRequestAttachmentContentResponseError extends GetRequestAttachmentContentResponseErrorType {
}
export interface GetRequestAttachmentThumbnailRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID or key for the customer request the attachment is associated with
     */
    issueIdOrKey: string;
    /**
     * The ID of the attachment.
     */
    attachmentId: number;
}
export declare type GetRequestAttachmentThumbnailResponseOK = any;
declare type GetRequestAttachmentThumbnailResponseErrorType = ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse;
export interface GetRequestAttachmentThumbnailResponseError extends GetRequestAttachmentThumbnailResponseErrorType {
}
export {};
//# sourceMappingURL=attachment.d.ts.map