/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { CSATFeedbackFullDTOAsResponse } from "../../definitions/CSATFeedbackFullDTOAsResponse";
import { ErrorResponseAsResponse } from "../../definitions/ErrorResponseAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { CSATFeedbackFullDTO } from "../../definitions/CSATFeedbackFullDTO";
export interface GetRequestFeedbackRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The id or the key of the request to post the feedback on
     */
    requestIdOrKey: string;
}
declare type GetRequestFeedbackResponseOKType = CSATFeedbackFullDTOAsResponse;
export interface GetRequestFeedbackResponseOK extends GetRequestFeedbackResponseOKType {
}
declare type GetRequestFeedbackResponseErrorType = ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse;
export interface GetRequestFeedbackResponseError extends GetRequestFeedbackResponseErrorType {
}
export interface PostRequestFeedbackRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The id or the key of the request to post the feedback on
     */
    requestIdOrKey: string;
    body: CSATFeedbackFullDTO;
}
declare type PostRequestFeedbackResponseOKType = CSATFeedbackFullDTOAsResponse;
export interface PostRequestFeedbackResponseOK extends PostRequestFeedbackResponseOKType {
}
declare type PostRequestFeedbackResponseErrorType = ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse;
export interface PostRequestFeedbackResponseError extends PostRequestFeedbackResponseErrorType {
}
export interface DeleteRequestFeedbackRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The id or the key of the request to post the feedback on
     */
    requestIdOrKey: string;
}
export declare type DeleteRequestFeedbackResponseOK = any;
declare type DeleteRequestFeedbackResponseErrorType = ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse;
export interface DeleteRequestFeedbackResponseError extends DeleteRequestFeedbackResponseErrorType {
}
export {};
//# sourceMappingURL=feedback.d.ts.map