/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { RequestNotificationSubscriptionDTOAsResponse } from "../../definitions/RequestNotificationSubscriptionDTOAsResponse";
import { ErrorResponseAsResponse } from "../../definitions/ErrorResponseAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface GetRequestNotificationStatusRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID or key of the customer request to be queried for subscription status.
     */
    issueIdOrKey: string;
}
declare type GetRequestNotificationStatusResponseOKType = RequestNotificationSubscriptionDTOAsResponse;
export interface GetRequestNotificationStatusResponseOK extends GetRequestNotificationStatusResponseOKType {
}
declare type GetRequestNotificationStatusResponseErrorType = ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse;
export interface GetRequestNotificationStatusResponseError extends GetRequestNotificationStatusResponseErrorType {
}
export interface SubscribeToRequestRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID or key of the customer request to be subscribed to.
     */
    issueIdOrKey: string;
}
export declare type SubscribeToRequestResponseOK = undefined;
declare type SubscribeToRequestResponseErrorType = ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse;
export interface SubscribeToRequestResponseError extends SubscribeToRequestResponseErrorType {
}
export interface UnsubscribeFromRequestRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID or key of the customer request to be unsubscribed from.
     */
    issueIdOrKey: string;
}
export declare type UnsubscribeFromRequestResponseOK = undefined;
declare type UnsubscribeFromRequestResponseErrorType = ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse;
export interface UnsubscribeFromRequestResponseError extends UnsubscribeFromRequestResponseErrorType {
}
export {};
//# sourceMappingURL=notification.d.ts.map