/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { PagedDTOUserDTOAsResponse } from "../../definitions/PagedDTOUserDTOAsResponse";
import { ErrorResponseAsResponse } from "../../definitions/ErrorResponseAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface GetRequestParticipantsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID or key of the customer request to be queried for its participants.
     */
    issueIdOrKey: string;
    /**
     * The starting index of the returned objects. Base index: 0. See the [Pagination](#pagination) section for more details.
     */
    start?: number;
    /**
     * The maximum number of request types to return per page. Default: 50. See the [Pagination](#pagination) section for more details.
     */
    limit?: number;
}
declare type GetRequestParticipantsResponseOKType = PagedDTOUserDTOAsResponse;
export interface GetRequestParticipantsResponseOK extends GetRequestParticipantsResponseOKType {
}
declare type GetRequestParticipantsResponseErrorType = ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse;
export interface GetRequestParticipantsResponseError extends GetRequestParticipantsResponseErrorType {
}
export {};
//# sourceMappingURL=participant.d.ts.map