/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { PagedDTOSlaInformationDTOAsResponse } from "../../definitions/PagedDTOSlaInformationDTOAsResponse";
import { ErrorResponseAsResponse } from "../../definitions/ErrorResponseAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { SlaInformationDTOAsResponse } from "../../definitions/SlaInformationDTOAsResponse";
export interface GetRequestSLAsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID or key of the customer request whose SLAs will be retrieved.
     */
    issueIdOrKey: string;
    /**
     * The starting index of the returned objects. Base index: 0. See the [Pagination](#pagination) section for more details.
     */
    start?: number;
    /**
     * The maximum number of request types to return per page. Default: 50. See the [Pagination](#pagination) section for more details.
     */
    limit?: number;
}
declare type GetRequestSLAsResponseOKType = PagedDTOSlaInformationDTOAsResponse;
export interface GetRequestSLAsResponseOK extends GetRequestSLAsResponseOKType {
}
declare type GetRequestSLAsResponseErrorType = ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse;
export interface GetRequestSLAsResponseError extends GetRequestSLAsResponseErrorType {
}
export interface GetRequestSLARequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID or key of the customer request whose SLAs will be retrieved.
     */
    issueIdOrKey: string;
    /**
     * The ID or key of the SLAs metric to be retrieved.
     */
    slaMetricId: number;
}
declare type GetRequestSLAResponseOKType = SlaInformationDTOAsResponse;
export interface GetRequestSLAResponseOK extends GetRequestSLAResponseOKType {
}
declare type GetRequestSLAResponseErrorType = ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse;
export interface GetRequestSLAResponseError extends GetRequestSLAResponseErrorType {
}
export {};
//# sourceMappingURL=sla.d.ts.map