/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { PagedDTOCustomerTransitionDTOAsResponse } from "../../definitions/PagedDTOCustomerTransitionDTOAsResponse";
import { ErrorResponseAsResponse } from "../../definitions/ErrorResponseAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { CustomerTransitionExecutionDTO } from "../../definitions/CustomerTransitionExecutionDTO";
export interface GetRequestTransitionsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID or key of the customer request whose transitions will be retrieved.
     */
    issueIdOrKey: string;
    /**
     * The starting index of the returned objects. Base index: 0. See the [Pagination](#pagination) section for more details.
     */
    start?: number;
    /**
     * The maximum number of items to return per page. Default: 100. See the [Pagination](#pagination) section for more details.
     */
    limit?: number;
}
declare type GetRequestTransitionsResponseOKType = PagedDTOCustomerTransitionDTOAsResponse;
export interface GetRequestTransitionsResponseOK extends GetRequestTransitionsResponseOKType {
}
declare type GetRequestTransitionsResponseErrorType = ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse;
export interface GetRequestTransitionsResponseError extends GetRequestTransitionsResponseErrorType {
}
export interface PerformRequestTransitionRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * ID or key of the issue to transition
     */
    issueIdOrKey: string;
    body: CustomerTransitionExecutionDTO;
}
export declare type PerformRequestTransitionResponseOK = undefined;
declare type PerformRequestTransitionResponseErrorType = ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse;
export interface PerformRequestTransitionResponseError extends PerformRequestTransitionResponseErrorType {
}
export {};
//# sourceMappingURL=transition.d.ts.map