/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { PagedDTORequestTypeDTOAsResponse } from "../../definitions/PagedDTORequestTypeDTOAsResponse";
import { ErrorResponseAsResponse } from "../../definitions/ErrorResponseAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface GetRequestTypesRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * String to be used to filter the results.
     */
    searchQuery?: string;
    /**
     * Filter the request types by service desk Ids provided. Multiple values of the query parameter are supported. For example, `serviceDeskId=1&serviceDeskId=2` will return request types only for service desks 1 and 2.
     */
    serviceDeskId?: Array<number>;
    /**
     * The starting index of the returned objects. Base index: 0. See the [Pagination](#pagination) section for more details.
     */
    start?: number;
    /**
     * The maximum number of items to return per page. Default: 100. See the [Pagination](#pagination) section for more details.
     */
    limit?: number;
    expand?: Array<string>;
}
declare type GetRequestTypesResponseOKType = PagedDTORequestTypeDTOAsResponse;
export interface GetRequestTypesResponseOK extends GetRequestTypesResponseOKType {
}
declare type GetRequestTypesResponseErrorType = ErrorResponseAsResponse & ErrorResponseAsResponse;
export interface GetRequestTypesResponseError extends GetRequestTypesResponseErrorType {
}
export {};
//# sourceMappingURL=type.d.ts.map