/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { PagedDTOServiceDeskDTOAsResponse } from "../definitions/PagedDTOServiceDeskDTOAsResponse";
import { ErrorResponseAsResponse } from "../definitions/ErrorResponseAsResponse";
import { ErrorStrategyOption } from "../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { ServiceDeskDTOAsResponse } from "../definitions/ServiceDeskDTOAsResponse";
export interface GetServicedesksRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The starting index of the returned objects. Base index: 0. See the [Pagination](#pagination) section for more details.
     */
    start?: number;
    /**
     * The maximum number of items to return per page. Default: 100. See the [Pagination](#pagination) section for more details.
     */
    limit?: number;
}
declare type GetServicedesksResponseOKType = PagedDTOServiceDeskDTOAsResponse;
export interface GetServicedesksResponseOK extends GetServicedesksResponseOKType {
}
declare type GetServicedesksResponseErrorType = ErrorResponseAsResponse & ErrorResponseAsResponse;
export interface GetServicedesksResponseError extends GetServicedesksResponseErrorType {
}
export interface GetServicedeskRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the service desk to return. This can alternatively be a [project identifier.](#project-identifiers)
     */
    serviceDeskId: string;
}
declare type GetServicedeskResponseOKType = ServiceDeskDTOAsResponse;
export interface GetServicedeskResponseOK extends GetServicedeskResponseOKType {
}
declare type GetServicedeskResponseErrorType = ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse;
export interface GetServicedeskResponseError extends GetServicedeskResponseErrorType {
}
export interface AddTemporaryFilesToServicedeskRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the Service Desk to which the file will be attached. This can alternatively be a [project identifier.](#project-identifiers)
     */
    serviceDeskId: string;
}
export declare type AddTemporaryFilesToServicedeskResponseOK = undefined;
declare type AddTemporaryFilesToServicedeskResponseErrorType = ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse;
export interface AddTemporaryFilesToServicedeskResponseError extends AddTemporaryFilesToServicedeskResponseErrorType {
}
export {};
//# sourceMappingURL=servicedesk.d.ts.map