/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { PagedDTOUserDTOAsResponse } from "../../definitions/PagedDTOUserDTOAsResponse";
import { ErrorResponseAsResponse } from "../../definitions/ErrorResponseAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { ServiceDeskCustomerDTO } from "../../definitions/ServiceDeskCustomerDTO";
export interface GetServicedeskCustomersRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the service desk the customer list should be returned from. This can alternatively be a [project identifier.](#project-identifiers)
     */
    serviceDeskId: string;
    /**
     * The string used to filter the customer list.
     */
    query?: string;
    /**
     * The starting index of the returned objects. Base index: 0. See the [Pagination](#pagination) section for more details.
     */
    start?: number;
    /**
     * The maximum number of users to return per page. Default: 50. See the [Pagination](#pagination) section for more details.
     */
    limit?: number;
}
declare type GetServicedeskCustomersResponseOKType = PagedDTOUserDTOAsResponse;
export interface GetServicedeskCustomersResponseOK extends GetServicedeskCustomersResponseOKType {
}
declare type GetServicedeskCustomersResponseErrorType = ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse;
export interface GetServicedeskCustomersResponseError extends GetServicedeskCustomersResponseErrorType {
}
export interface AddServicedeskCustomersRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the service desk the customer list should be returned from. This can alternatively be a [project identifier.](#project-identifiers)
     */
    serviceDeskId: string;
    body: ServiceDeskCustomerDTO;
}
export declare type AddServicedeskCustomersResponseOK = undefined;
declare type AddServicedeskCustomersResponseErrorType = ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse;
export interface AddServicedeskCustomersResponseError extends AddServicedeskCustomersResponseErrorType {
}
export interface RemoveServicedeskCustomersRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the service desk the customers should be removed from. This can alternatively be a [project identifier.](#project-identifiers)
     */
    serviceDeskId: string;
    body: ServiceDeskCustomerDTO;
}
export declare type RemoveServicedeskCustomersResponseOK = undefined;
declare type RemoveServicedeskCustomersResponseErrorType = ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse;
export interface RemoveServicedeskCustomersResponseError extends RemoveServicedeskCustomersResponseErrorType {
}
export {};
//# sourceMappingURL=customer.d.ts.map