/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { PagedDTOArticleDTOAsResponse } from "../../definitions/PagedDTOArticleDTOAsResponse";
import { ErrorResponseAsResponse } from "../../definitions/ErrorResponseAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface GetServicedeskKnowledgebaseArticlesRequest extends HeadersOption, ErrorStrategyOption {
    serviceDeskId: string;
    /**
     * The string used to filter the articles (required).
     */
    query?: string;
    /**
     * If set to true matching query term in the title and excerpt will be highlighted using the \{@code
     */
    highlight?: boolean;
    /**
     * The starting index of the returned objects. Base index: 0. See the [Pagination](#pagination) section for more details.
     */
    start?: number;
    /**
     * The maximum number of items to return per page. Default: 100. See the [Pagination](#pagination) section for more details.
     */
    limit?: number;
}
declare type GetServicedeskKnowledgebaseArticlesResponseOKType = PagedDTOArticleDTOAsResponse;
export interface GetServicedeskKnowledgebaseArticlesResponseOK extends GetServicedeskKnowledgebaseArticlesResponseOKType {
}
declare type GetServicedeskKnowledgebaseArticlesResponseErrorType = ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse;
export interface GetServicedeskKnowledgebaseArticlesResponseError extends GetServicedeskKnowledgebaseArticlesResponseErrorType {
}
export {};
//# sourceMappingURL=knowledgebase.d.ts.map