/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { PagedDTOOrganizationDTOAsResponse } from "../../definitions/PagedDTOOrganizationDTOAsResponse";
import { ErrorResponseAsResponse } from "../../definitions/ErrorResponseAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { OrganizationServiceDeskUpdateDTO } from "../../definitions/OrganizationServiceDeskUpdateDTO";
export interface GetServicedeskOrganizationsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the service desk from which the organization list will be returned. This can alternatively be a [project identifier.](#project-identifiers)
     */
    serviceDeskId: string;
    /**
     * The starting index of the returned objects. Base index: 0. See the [Pagination](#pagination) section for more details.
     */
    start?: number;
    /**
     * The maximum number of items to return per page. Default: 50. See the [Pagination](#pagination) section for more details.
     */
    limit?: number;
    /**
     * The account ID of the user, which uniquely identifies the user across all Atlassian products. For example, *5b10ac8d82e05b22cc7d4ef5*.
     */
    accountId?: string;
}
declare type GetServicedeskOrganizationsResponseOKType = PagedDTOOrganizationDTOAsResponse;
export interface GetServicedeskOrganizationsResponseOK extends GetServicedeskOrganizationsResponseOKType {
}
declare type GetServicedeskOrganizationsResponseErrorType = ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse;
export interface GetServicedeskOrganizationsResponseError extends GetServicedeskOrganizationsResponseErrorType {
}
export interface AddServicedeskOrganizationRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the service desk to which the organization will be added. This can alternatively be a [project identifier.](#project-identifiers)
     */
    serviceDeskId: string;
    body: OrganizationServiceDeskUpdateDTO;
}
export declare type AddServicedeskOrganizationResponseOK = undefined;
declare type AddServicedeskOrganizationResponseErrorType = ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse;
export interface AddServicedeskOrganizationResponseError extends AddServicedeskOrganizationResponseErrorType {
}
export interface RemoveServicedeskOrganizationRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the service desk from which the organization will be removed. This can alternatively be a [project identifier.](#project-identifiers)
     */
    serviceDeskId: string;
    body: OrganizationServiceDeskUpdateDTO;
}
export declare type RemoveServicedeskOrganizationResponseOK = undefined;
declare type RemoveServicedeskOrganizationResponseErrorType = ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse;
export interface RemoveServicedeskOrganizationResponseError extends RemoveServicedeskOrganizationResponseErrorType {
}
export {};
//# sourceMappingURL=organization.d.ts.map