/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { PropertyKeysAsResponse } from "../../../../definitions/PropertyKeysAsResponse";
import { ErrorResponseAsResponse } from "../../../../definitions/ErrorResponseAsResponse";
import { ErrorStrategyOption } from "../../../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { EntityPropertyAsResponse } from "../../../../definitions/EntityPropertyAsResponse";
export interface GetServicedeskRequestTypePropertyKeysRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the request type for which keys will be retrieved.
     */
    requestTypeId: number;
    /**
     * The ID of the service desk which contains the request type. This can alternatively be a [project identifier.](#project-identifiers)
     */
    serviceDeskId: string;
}
declare type GetServicedeskRequestTypePropertyKeysResponseOKType = PropertyKeysAsResponse;
export interface GetServicedeskRequestTypePropertyKeysResponseOK extends GetServicedeskRequestTypePropertyKeysResponseOKType {
}
declare type GetServicedeskRequestTypePropertyKeysResponseErrorType = ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse;
export interface GetServicedeskRequestTypePropertyKeysResponseError extends GetServicedeskRequestTypePropertyKeysResponseErrorType {
}
export interface GetServicedeskRequestTypePropertyRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the service desk which contains the request type. This can alternatively be a [project identifier.](#project-identifiers)
     */
    serviceDeskId: string;
    /**
     * The ID of the request type from which the property will be retrieved.
     */
    requestTypeId: number;
    /**
     * The key of the property to return.
     */
    propertyKey: string;
}
declare type GetServicedeskRequestTypePropertyResponseOKType = EntityPropertyAsResponse;
export interface GetServicedeskRequestTypePropertyResponseOK extends GetServicedeskRequestTypePropertyResponseOKType {
}
declare type GetServicedeskRequestTypePropertyResponseErrorType = ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse;
export interface GetServicedeskRequestTypePropertyResponseError extends GetServicedeskRequestTypePropertyResponseErrorType {
}
export interface SetServicedeskRequestTypePropertyRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the service desk which contains the request type. This can alternatively be a [project identifier.](#project-identifiers)
     */
    serviceDeskId: string;
    /**
     * The ID of the request type on which the property will be set.
     */
    requestTypeId: number;
    /**
     * The key of the request type property. The maximum length of the key is 255 bytes.
     */
    propertyKey: string;
}
export declare type SetServicedeskRequestTypePropertyResponseOK = any | any;
declare type SetServicedeskRequestTypePropertyResponseErrorType = ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse;
export interface SetServicedeskRequestTypePropertyResponseError extends SetServicedeskRequestTypePropertyResponseErrorType {
}
export interface DeleteServicedeskRequestTypePropertyRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the service desk which contains the request type. This can alternatively be a [project identifier.](#project-identifiers)
     */
    serviceDeskId: string;
    /**
     * The ID of the request type for which the property will be removed.
     */
    requestTypeId: number;
    /**
     * The key of the property to remove.
     */
    propertyKey: string;
}
export declare type DeleteServicedeskRequestTypePropertyResponseOK = undefined;
declare type DeleteServicedeskRequestTypePropertyResponseErrorType = ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse & ErrorResponseAsResponse;
export interface DeleteServicedeskRequestTypePropertyResponseError extends DeleteServicedeskRequestTypePropertyResponseErrorType {
}
export {};
//# sourceMappingURL=property.d.ts.map